<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    5.1
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2012 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include dirname(dirname(dirname(__FILE__))).'/includes/404.php';
}

/**
 * Ads_install
 *
 * Установка модуля "Объявления"
 */

$title = "Объявления";

$sql = array(
	"INSERT INTO {modules} (name, module_name, site, site_page, admin, title) VALUES ('ads', 'ads', '1', '1', '1', '".$title."')",
	
	"CREATE TABLE {ads} (
		`id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		".multilang("`nameLANG` TEXT NOT NULL DEFAULT '',")."
		".multilang("`actLANG` ENUM('0', '1') NOT NULL DEFAULT '0',")."
		`date_start` INT(10) UNSIGNED NOT NULL DEFAULT '0',
		`date_finish` INT(10) UNSIGNED NOT NULL DEFAULT '0',
		`created` INT(10) UNSIGNED NOT NULL DEFAULT '0',
		`map_no_show` ENUM( '0', '1' ) NOT NULL DEFAULT '0',
		`cat_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`site_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		".multilang("`keywordsLANG` VARCHAR(250) NOT NULL DEFAULT '',")."
		".multilang("`descrLANG` text NOT NULL DEFAULT '',")."
		".multilang("`title_metaLANG` VARCHAR(250) NOT NULL DEFAULT '',")."
		".multilang("`anonsLANG` text NOT NULL DEFAULT '',")."
		".multilang("`textLANG` text NOT NULL DEFAULT '',")."
		`prior` ENUM('0', '1') NOT NULL DEFAULT '0',
		`timeedit` INT(10) UNSIGNED NOT NULL DEFAULT '0',
		`counter_view` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`access` ENUM('0', '1') NOT NULL DEFAULT '0',
		`admin_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`user_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`theme` VARCHAR(50) NOT NULL DEFAULT '',
		`view` VARCHAR(50) NOT NULL DEFAULT '',
		`trash` ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY  (`id`),
		KEY site_id (`site_id`)
	) CHARSET=utf8",

	"CREATE TABLE {ads_category} (
		`id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		".multilang("`nameLANG` TEXT NOT NULL DEFAULT '',")."
		".multilang("`actLANG` ENUM('0', '1') NOT NULL DEFAULT '0',")."
		`map_no_show` ENUM( '0', '1' ) NOT NULL DEFAULT '0',
		`parent_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`count_children` SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
		`site_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		".multilang("`keywordsLANG` VARCHAR(250) NOT NULL DEFAULT '',")."
		".multilang("`descrLANG` text NOT NULL DEFAULT '',")."
		".multilang("`title_metaLANG` VARCHAR(250) NOT NULL DEFAULT '',")."
		".multilang("`anonsLANG` text NOT NULL DEFAULT '',")."
		".multilang("`textLANG` text NOT NULL DEFAULT '',")."
		`sort` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`timeedit` INT(10) UNSIGNED NOT NULL DEFAULT '0',
		`access` ENUM('0', '1') NOT NULL DEFAULT '0',
		`admin_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`theme` VARCHAR(50) NOT NULL DEFAULT '',
		`view` VARCHAR(50) NOT NULL DEFAULT '',
		`trash` ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY  (`id`),
		KEY parent_id (`parent_id`),
		KEY site_id (`site_id`)
	) CHARSET=utf8",

	"CREATE TABLE {ads_category_parents} (
		`id` INT( 11 ) UNSIGNED NOT NULL AUTO_INCREMENT ,
		`element_id` INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
		`parent_id` INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
		`trash` ENUM( '0', '1' ) NOT NULL DEFAULT '0',
		PRIMARY KEY (`id`)
	) CHARSET=utf8",

	"CREATE TABLE {ads_category_rel} (
		`id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		`element_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`cat_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`trash` ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY (`id`),
		KEY cat_id (`cat_id`)
	) CHARSET=utf8",

	"CREATE TABLE {ads_param} (
		`id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		".multilang("`nameLANG` VARCHAR(250) NOT NULL DEFAULT '',")."
		`type` VARCHAR(20) NOT NULL DEFAULT '',
		`sort` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`search` ENUM('0', '1') NOT NULL DEFAULT '0',
		`list` ENUM('0', '1') NOT NULL DEFAULT '0',
		`block` ENUM('0', '1') NOT NULL DEFAULT '0',
		`required` ENUM('0', '1') NOT NULL DEFAULT '0',
		`page` ENUM('0', '1') NOT NULL DEFAULT '0',
		".multilang("`textLANG` text NOT NULL DEFAULT '',")."
		`config` text NOT NULL DEFAULT '',
        `display_in_sort` enum('0','1') NOT NULL DEFAULT '0',
        ".multilang("`measure_unitLANG` varchar(50) NOT NULL,")."
		`trash` ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY  (`id`)
	) CHARSET=utf8",

	"CREATE TABLE {ads_param_category_rel} (
		`id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		`element_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`cat_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`trash` ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY (`id`),
		KEY cat_id (`cat_id`)
	) CHARSET=utf8",

	"CREATE TABLE {ads_param_element} (
		`id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		".multilang("`valueLANG` text NOT NULL DEFAULT '',")."
		`param_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`element_id`  INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`trash` ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY  (`id`),
		KEY element_id (`element_id`),
		KEY param_id (`param_id`)
	) CHARSET=utf8",

	"CREATE TABLE {ads_param_select} (
		`id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		`param_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`value` TINYINT(2) UNSIGNED NOT NULL DEFAULT '0',
		".multilang("`nameLANG` VARCHAR(50) NOT NULL DEFAULT '',")."
		`sort` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`trash` ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY  (`id`),
		KEY param_id (`param_id`)
	) CHARSET=utf8",

	"CREATE TABLE {ads_rel} (
		`id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		`element_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`rel_element_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`trash` ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY  (`id`)
	) CHARSET=utf8",
    
	"INSERT INTO {site} (
		id,
		".multilang("nameLANG,")."
		".multilang("actLANG,")."
		sort, timeedit, module_name) VALUES (
		7,
		".multilang("'".$title."',", "'Ads',", "'',")."
		".multilang("'1',")."
		'7',
		'".time()."',
		'ads'
	);",

	"INSERT INTO {rewrite} (rewrite, module_name, site_id) VALUES ('ads', 'site', 7)",

	"INSERT INTO {menu} (
		id,
		module_name,
		site_id,
		cat_id,
		".multilang("nameLANG, ")."
		".multilang("actLANG, ")."
		sort
	) VALUES (
		7,
		'site',
		7,
		3,
		".multilang("'".$title."',", "'Ads',", "'',")."
		".multilang("'1', ")."
		7
	)",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('ads', 'images', '1')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('ads', 'use_animation', '1')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('ads', 'list_img', '1')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('ads', 'count_list', '3')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('ads', 'nastr', '10')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('ads', 'search_text', '1')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('ads', 'search_name', '1')",
	
	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('ads', 'childrens_elements', '1')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('ads', 'rel_two_sided', '1')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('ads', 'add_message', 'Объявление успешно добавлено.<br><a href=\"/ads/\">Перейти к объявлениям</a>')",

	"INSERT INTO {config} (`module_name`, `name`, `value`, lang_id) VALUES ('ads', 'add_message', 'Ad successfully added', 2)",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('ads', 'subject_admin', 'Новое объявление на сайте %%title (%%url)')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('ads', 'message_admin', 'Здравствуйте, администратор сайта %%title (%%url)!<br>В рубрике Объявления появилось новое объявление:<br>%%message')",
);


$adminsite = array(
 13 => 
  array (
    'name' => 'Объявления',
    'rewrite' => 'ads',
    'group_id' => 1,
    'numrow' => 6584,
    'sort' => 8,
    'act' => 1,
    'child' => 
    array (
      0 => 
      array (
        'name' => 'Настройки',
        'rewrite' => 'ads/config',
        'group_id' => 1,
        'numrow' => 3,
        'sort' => 1,
        'act' => 1,
      ),
      1 => 
      array (
        'name' => 'Объявления',
        'rewrite' => 'ads',
        'group_id' => 1,
        'numrow' => 56,
        'sort' => 2,
        'act' => 1,
      ),
      2 => 
      array (
        'name' => 'Характеристики',
        'rewrite' => 'ads/param',
        'group_id' => 1,
        'numrow' => 6,
        'sort' => 3,
        'act' => 1,
      ),
      3 => 
      array (
        'name' => 'Категории',
        'rewrite' => 'ads/category',
        'group_id' => 1,
        'numrow' => 9875,
        'sort' => 4,
        'act' => 1,
      ),
    ),
  ),
);

$example = array();

function module_basic_ads()
{
	DB::query("INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('ads', 'images_variations', '%s')", serialize(array(0 => array('name' => 'medium', 'id' => 1), 1 => array('name' => 'large', 'id' => 3))));
}