<?php

/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    5.1
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2012 OOO "Диафан". (http://diafan.ru)
 */
if (!defined('DIAFAN'))
{
    include dirname(dirname(dirname(__FILE__))) . '/includes/404.php';
}

/**
 * Страница отдельного объявления
 */

echo '<table class="ads_id"><tr><td valign=top style="min-width: 160px;">';

//вывод изображений объявления
if (!empty($result["img"]))
{
	echo '<div class="ads_all_img">';
	foreach ($result["img"] as $img)
	{
		switch ($img["type"])
		{
			case 'animation':
				echo '<a href="' . BASE_PATH . $img["link"] . '" rel="prettyPhoto[gallery' . $result["id"] . 'ads]">';
				break;
			case 'large_image':
				echo '<a href="' . BASE_PATH . $img["link"] . '" rel="large_image" width="' . $img["link_width"] . '" height="' . $img["link_height"] . '">';
				break;
			default:
				echo '<a href="' . BASE_PATH_HREF . $img["link"] . '">';
				break;
		}
		echo '<img src="' . $img["src"] . '" width="' . $img["width"] . '" height="' . $img["height"] . '" alt="' . $img["alt"] . '" title="' . $img["title"] . '">'
		. '</a> ';
	}
	echo '</div>';
}

//вывод рейтинга объявления
if (!empty($result["rating"]))
{
	echo $this->diafan->_('Рейтинг').": ";
	echo $result["rating"];
	echo '<br><br>';
}

echo '</td><td valign=top width="90%">';

//дата
if (! empty($row["date"]))
{
	echo '<div class="ads_date">'.$row["date"].'</div>';
}

//параметры объявления
if (!empty($result["param"]))
{
	$this->get('param', 'ads', array("rows" => $result["param"], "id" => $result["id"]));
}

//краткое описание объявления
if ($result['anons'])
{
	echo '<div class="ads_anons">';
	$this->htmleditor($result['anons']);
	echo '</div>';
}

//полное описание объявления
echo '<div class="ads_text">';
$this->htmleditor($result['text']);
echo '</div>';

//теги объявления
if (!empty($result["tags"]))
{
	echo $result["tags"];
}

echo '</td></tr></table>';

//комментарии
if (!empty($result["comments"]))
{
	echo $result["comments"];
}

//ссылки на предыдущее и последующее объявление
if (!empty($result["previous"]) || !empty($result["next"]))
{
	echo '<div class="previous_next_links">';
	if (!empty($result["previous"]))
	{
		echo '<div class="previous_link"><a href="' . BASE_PATH_HREF . $result["previous"]["link"] . '">&larr; ' . $result["previous"]["text"] . '</a></div>';
	}
	if (!empty($result["next"]))
	{
		echo '<div class="next_link"><a href="' . BASE_PATH_HREF . $result["next"]["link"] . '">' . $result["next"]["text"] . ' &rarr;</a></div>';
	}
	echo '</div>';
}

//форма добавления объявления
if (! empty($result["form"]))
{
	$this->get('form', 'ads', $result["form"]);
}