<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    5.1
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2012 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include dirname(dirname(dirname(dirname(dirname(__FILE__))))).'/includes/404.php';
}

/*
 * Настройки платежной системы "Банковские платежи" для административного интерфейса
 */
class Cart_payment_non_cash_admin
{
	public $config;

	public function __construct()
	{
		$this->config = array(
			"name" => 'Банковские платежи',
			"params" => array(
                'non_cash_name' => 'Наименование организации',
                'non_cash_ogrn' => 'ОГРН',
                'non_cash_inn' => 'ИНН',
                'non_cash_kpp' => 'КПП',
                'non_cash_rs' => 'Расч. счет',
                'non_cash_bank' => 'Банк',
                'non_cash_bik' => 'БИК',
                'non_cash_ks' => 'Кор. счет',
                'non_cash_address' => 'Адрес',
                'non_cash_director' => 'Руководитель предприятия',
                'non_cash_glbuh' => 'Главный бухгалтер',
                'non_cash_kbk' => 'КБК',
                'non_cash_tax_department' => 'Сокр. наим. налогового органа',
                'non_cash_okato' => 'Код ОКАТО',
                'non_cash_nds' => 'НДС'
			)
		);
	}
}