<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    5.1
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2012 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include dirname(dirname(dirname(__FILE__))).'/includes/404.php';
}

/**
 * Faq_install
 *
 * Установка модуля "Вопрос-Ответ"
 */

$title = "Вопрос-Ответ";

$sql = array(
	"INSERT INTO {modules} (name, module_name, site, site_page, admin, title) VALUES ('faq', 'faq', '1', '1', '1', '".$title."')",

	"CREATE TABLE {faq} (
		id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		".multilang("nameLANG TEXT NOT NULL DEFAULT '',")."
		".multilang("actLANG ENUM('0', '1') NOT NULL DEFAULT '0',")."
		map_no_show ENUM( '0', '1' ) NOT NULL DEFAULT '0',
		created INT(10) UNSIGNED NOT NULL DEFAULT '0',
		date_start INT(10) UNSIGNED NOT NULL DEFAULT '0',
		date_finish INT(10) UNSIGNED NOT NULL DEFAULT '0',
		mail VARCHAR(40) NOT NULL DEFAULT '',
		cat_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
		site_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
		".multilang("keywordsLANG VARCHAR(250) NOT NULL DEFAULT '',")."
		".multilang("descrLANG text NOT NULL DEFAULT '',")."
		".multilang("title_metaLANG VARCHAR(250) NOT NULL DEFAULT '',")."
		".multilang("anonsLANG text NOT NULL DEFAULT '',")."
		".multilang("textLANG text NOT NULL DEFAULT '',")."
		often CHAR(1) NOT NULL DEFAULT '',
		timeedit INT(10) UNSIGNED NOT NULL DEFAULT '0',
		`access` ENUM('0', '1') NOT NULL DEFAULT '0',
		user_id  INT(11) UNSIGNED NOT NULL DEFAULT '0',
		admin_id  INT(11) UNSIGNED NOT NULL DEFAULT '0',
		theme VARCHAR(50) NOT NULL DEFAULT '',
		view VARCHAR(50) NOT NULL DEFAULT '',
		trash ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY  (id),
		KEY site_id (site_id)
	) CHARSET=utf8",

	"CREATE TABLE {faq_rel} (
		`id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		`element_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`rel_element_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`trash` ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY  (`id`)
	) CHARSET=utf8",

	"CREATE TABLE {faq_category} (
		id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		".multilang("nameLANG TEXT NOT NULL DEFAULT '',")."
		".multilang("actLANG ENUM('0', '1') NOT NULL DEFAULT '0',")."
		map_no_show ENUM( '0', '1' ) NOT NULL DEFAULT '0',
		parent_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
		count_children SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
		site_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
		".multilang("keywordsLANG VARCHAR(250) NOT NULL DEFAULT '',")."
		".multilang("descrLANG text NOT NULL DEFAULT '',")."
		".multilang("title_metaLANG VARCHAR(250) NOT NULL DEFAULT '',")."
		".multilang("anonsLANG text NOT NULL DEFAULT '',")."
		".multilang("textLANG text NOT NULL DEFAULT '',")."
		sort INT(11) UNSIGNED NOT NULL DEFAULT '0',
		timeedit INT(10) UNSIGNED NOT NULL DEFAULT '0',
		`access` ENUM('0', '1') NOT NULL DEFAULT '0',
		admin_id  INT(11) UNSIGNED NOT NULL DEFAULT '0',
		theme VARCHAR(50) NOT NULL DEFAULT '',
		view VARCHAR(50) NOT NULL DEFAULT '',
		trash ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY  (id),
		KEY parent_id (parent_id),
		KEY site_id (site_id)
	) CHARSET=utf8",

	"CREATE TABLE {faq_category_parents} (
		id INT( 11 ) UNSIGNED NOT NULL AUTO_INCREMENT ,
		element_id INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
		parent_id INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
		trash ENUM( '0', '1' ) NOT NULL DEFAULT '0',
		PRIMARY KEY (id)
	) CHARSET=utf8",

	"CREATE TABLE {faq_category_rel} (
		`id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		`element_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`cat_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`trash` ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY (`id`),
		KEY cat_id (`cat_id`)
	) CHARSET=utf8",

	"INSERT INTO {site} (id,
		".multilang("nameLANG,")."
		".multilang("actLANG,")."
		sort, timeedit, module_name) VALUES (
		13,
		".multilang("'".$title."',", "'Question/Answer',", "'',")."
		".multilang("'1',")."
		'13',
		'".time()."',
		'faq'
	);",
	
	"INSERT INTO {rewrite} (rewrite, module_name, site_id) VALUES ('faq', 'site', 13)",

	"INSERT INTO {menu} (
		id,
		module_name,
		site_id,
		cat_id,
		".multilang("nameLANG, ")."
		".multilang("actLANG, ")."
		sort
	) VALUES (
		5,
		'site',
		13,
		3,
		".multilang("'".$title."',", "'Question/Answer',", "'',")."
		".multilang("'1', ")."
		5
	)",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('faq', 'security', '2')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('faq', 'format_date', '1')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('faq', 'nastr', '10')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('faq', 'count_list', '3')",
	
	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('faq', 'attachments', '1')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('faq', 'max_count_attachments', '10')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('faq', 'attachment_extensions', 'doc, gif, jpg, mpg, pdf, png, txt, zip')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('faq', 'sendmailadmin', '1')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('faq', 'add_message', '<div align=\"center\"><b>Спасибо за ваше сообщение!</b><br>Наш консультант подберет необходимую информацию, после чего ваш вопрос и ответ на него будут опубликованы на этой странице.</div>')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('faq', 'error_insert_message', 'Ваше сообщение уже имеется в базе')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('faq', 'subject', '%%title (%%url). Вопрос-Ответ')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('faq', 'message', 'Здравствуйте, %%name!<br>Вы задали вопрос на сайте %%title (%%url).<br><b>Вопрос:</b> %%question <br><b>Ответ:</b> %%answer')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('faq', 'subject_admin', '%%title (%%url). Новый вопрос в рубрике Вопрос-Ответ')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('faq', 'message_admin', 'Здравствуйте, администратор сайта %%title (%%url)!<br>В рубрике Впорос-Ответ появился новый вопрос:<br>%%question.<br>%%name<br>%%email<br>Прикреленные файлы: %%files')",

	"INSERT INTO {config} (`module_name`, `name`, `value`, `lang_id`) VALUES ('faq', 'add_message', '<div align=\"center\"><b>Thank you for your message!</b><br>Our consultant will select necessary information and your question and answer to this question will publish on this page.</div>', 2)",

	"INSERT INTO {config} (`module_name`, `name`, `value`, `lang_id`) VALUES ('faq', 'error_insert_message', 'Your message is already in data base.', 2)",

	"INSERT INTO {config} (`module_name`, `name`, `value`, `lang_id`) VALUES ('faq', 'subject', '%%title (%%url). Question / Answer', 2)",

	"INSERT INTO {config} (`module_name`, `name`, `value`, `lang_id`) VALUES ('faq', 'message', 'Hello, %%name!<br>You asked the question on our web site %%title (%%url).<br><b>Question:</b> %%question<br><b>Answer:</b> %%answer', 2)",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('faq', 'rel_two_sided', '1')",
);

$adminsite = array (
	0 => array (
		'name'     => 'Вопрос-Ответ',
		'rewrite'  => 'faq',
		'group_id' => '2',
		'numrow'   => '759442',
		'sort'     => '9',
		'act'      => '1',
		'child'    => array (
			0 => array (
				'name'     => 'Вопросы',
				'rewrite'  => 'faq',
				'group_id' => '1',
				'numrow'   => '790',
				'sort'     => '34',
				'act'      => '1', ),
			1 => array (
				'name'     => 'Категории',
				'rewrite'  => 'faq/category',
				'group_id' => '2',
				'numrow'   => '82',
				'sort'     => '35',
				'act'      => '1', ),
			2 => array (
				'name'     => 'Настройки',
				'rewrite'  => 'faq/config',
				'group_id' => '2',
				'numrow'   => '11',
				'sort'     => '36',
				'act'      => '0',
				),
			),
		)
	);

$example = array(
	"UPDATE {site} SET
		".multilang(
			"text1='<p>Здесь любой наш посетитель может задать нам свой вопрос, а мы на него ответим.</p>'",

			", text2='<p>Here any our visitor can ask us the question, and we will answer it.</p>'",

			""
		)."
	WHERE id=6",
	
	"INSERT INTO {menu} (
		id,
		module_name,
		site_id,
		cat_id,
		".multilang("nameLANG, ")."
		".multilang("actLANG, ")."
		sort
	) VALUES (
		29,
		'site',
		13,
		1,
		".multilang("'Вопрос-Ответ', ", "'Question/Answer', ", "")."
		".multilang("'1', ")."
		7
	)",

	"INSERT INTO {faq} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")." created, site_id, ".multilang("anonsLANG,")." ".multilang("textLANG,")."timeedit) VALUES (
		1,
		".multilang("'Элеонора',", "'Eleonora',", "'',")."
		".multilang("'1',")."
		'".(time()-86400*10)."',
		13,
		".multilang(
			"'Скажите, а вы мучаете бумажных животных?',",
	
			"'Tell, you torment paper animals?',",
	
			"'',"
		)."
		".multilang(
			"'<p>Безусловно нет!!! Не считая случаев самоубийства бумажной жар-птицы, севшей на свечку...</p>',",
	
			"'<p>Certainly is not present!!! Without considering cases of suicide of the paper firebird who have sat down on a candle...</p>',",
	
			"'',"
		)."
		'".time()."'
	)",

	"INSERT INTO {faq} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")." created, site_id, ".multilang("anonsLANG,")." ".multilang("textLANG,")." timeedit) VALUES (
		2,
		".multilang("'Мясоед',", "'Myasoed',", "'',")."
		".multilang("'1',")."
		'".(time()-86400*9)."',
		13,
		".multilang(
			"'А ваши животные съедобные?',",

			"'And your animals edible?',",

			"'',"
		)."
		".multilang(
			"'<p>Конечно, кетчуп &quot;Помидоркино&quot; все может сделать едой, но нашим животным не нравится, когда их едят.</p>',",

			"'<p>Certainly, ketchup &quot;Pomidorkino&quot; can make all meal, but it is not pleasant to our animals, when them eat.</p>',",

			"'',"
		)."
		'".time()."'
	)",

	"INSERT INTO {faq} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")." created, site_id, ".multilang("anonsLANG,")." ".multilang("textLANG,")."timeedit) VALUES (
		3,
		".multilang("'Гена',", "'Gena',", "'',")."
		".multilang("'1',")."
		'".(time()-86400*8)."',
		13,
		".multilang(
			"'А клетки в вашем зоопарке железные?',",

			"'And cages in your zoo the iron?',",

			"'',"
		)."
		".multilang(
			"'<p>Мы называем их &quot;вольерами&quot; - они из хлебных мякишей с веточками ольхи внутри.</p>',",

			"'<p>We name their &quot;open-air cages&quot; - they from grain crumbs with alder branches inside.</p>',",

			"'',"
		)."
		'".time()."'
	)",

	"INSERT INTO {faq} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")." created, site_id, ".multilang("anonsLANG,")." ".multilang("textLANG,")."often, timeedit) VALUES (
		4,
		".multilang("'Валя',", "'Valya',", "'',")."
		".multilang("'1',")."
		'".(time()-86400*7)."',
		13,
		".multilang(
			"'Что такое Бумажный зоопарк?',",

			"'What is the Paper zoo?',",

			"'',"
		)."
		".multilang(
			"'<p>Бумажный зоопарк, он же Картонная скотобаза, он же Макулатура в фигурках, он же Плоскоцеллюлозный зверинец - наше чудесное творение, где мы ждем вас и днем и ночью!</p>',",

			"'<p>Paper zoo, it Paper for recycling in figures, it Ploskotselljuloznyj a menagerie - our wonderful creation where we wait for you and day and night!</p>',",

			"'',"
		)."
		'1',
		'".time()."'
	)",

	"INSERT INTO {faq} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")." created, site_id, ".multilang("anonsLANG,")." ".multilang("textLANG,")."often, timeedit) VALUES (
		5,
		".multilang("'Миша',", "'Misha',", "'',")."
		".multilang("'1',")."
		'".(time()-86400*6)."',
		13,
		".multilang(
			"'Сколько животных в вашем зоопарке?',",

			"'How many animals in your zoo?',",

			"'',"
		)."
		".multilang(
			"'<p>По подсчетам Иваныча, сторожа, более 100, однако по документам бухгалтерии не более 50.</p>',",

			"'<p>By estimates of Ivanycha, the watchman, more than 100, however under documents of accounts department no more than 50.</p>',",

			"'',"
		)."
		'1',
		'".time()."'
	)",

	"INSERT INTO {faq} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")." created, site_id, ".multilang("anonsLANG,")." ".multilang("textLANG,")."often, timeedit) VALUES (
		6,
		".multilang("'Витя',", "'Vitya',", "'',")."
		".multilang("'1',")."
		'".(time()-86400*5)."',
		13,
		".multilang(
			"'Можно ли у вас купить животное?',",

			"'Whether it is possible to buy from you an animal?',",

			"'',"
		)."
		".multilang(
			"'<p>Конечно, заходите в каталог товаров на нашем сайте - все животные как на витрине - и слон и кот!</p>',",

			"'<p>Certainly, come into the catalogue of the goods on our site - all animals as on a show_window - both an elephant and a cat!</p>',",

			"'',"
		)."
		'1',
		'".time()."'
	)",

	"INSERT INTO {faq} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")." created, site_id, ".multilang("anonsLANG,")." ".multilang("textLANG,")."often, timeedit) VALUES (
		7,
		".multilang("'Боец',", "'Boec',", "'',")."
		".multilang("'1',")."
		'".(time()-86400*4)."',
		13,
		".multilang(
			"'Как стать вашим представителем в регионе?',",

			"'How to become your representative in region?',",

			"'',"
		)."
		".multilang(
			"'<p>Вам необходимо арендовать центральный парк в вашем городе и отловить там всех муравьев.</p>',",

			"'<p>It is necessary for you to rent the central park in your city and to catch there all ants.</p>',",

			"'',"
		)."
		'1',
		'".time()."'
	)",

	"INSERT INTO {faq} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")." created, site_id, ".multilang("anonsLANG,")." ".multilang("textLANG,")."often, timeedit) VALUES (
		8,
		".multilang("'Костик',", "'Kostik',", "'',")."
		".multilang("'1',")."
		'".(time()-86400*3)."',
		13,
		".multilang(
			"'У меня есть несколько бумажных животных. Можно они будут дружить с вашими?',",

			"'I have some paper animals. It will be possible to be on friendly terms they with yours?',",

			"'',"
		)."
		".multilang(
			"'<p>Дружить - можно. А к нам на содержание - не положено.</p>',",

			"'<p>To be on friendly terms - it is possible. And to us on the maintenance - it is not necessary.</p>',",

			"'',"
		)."
		'1',
		'".time()."'
	)",

	"INSERT INTO {faq} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")." created, site_id, ".multilang("anonsLANG,")." ".multilang("textLANG,")."timeedit) VALUES (
		9,
		".multilang("'Карапуз',", "'Karapuz',", "'',")."
		".multilang("'1',")."
		'".(time()-86400*2)."',
		13,
		".multilang(
			"'Как можно попасть в ваш Зоопарк?',",

			"'How it is possible to get to your Zoo?',",

			"'',"
		)."
		".multilang(
			"'<p>Приезжайте по контактному адресу, обращайтесь к сторожу.</p>',",

			"'<p>Come to the contact address, address to the watchman.</p>',",

			"'',"
		)."
		'".time()."'
	)",

	"INSERT INTO {faq} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")." created, site_id, ".multilang("anonsLANG,")." ".multilang("textLANG,")."timeedit) VALUES (
		10,
		".multilang("'Пожарный',", "'Fireman',", "'',")."
		".multilang("'1',")."
		'".(time()-86400*1)."',
		13,
		".multilang(
			"'Выпускаете ли вы своих животных в привычную среду? В лес, например.',",

			"'Whether you let out the animals in the habitual environment? In wood, for example.',",

			"'',"
		)."
		".multilang(
			"'<p>Мы их выпускаем на макулатурную свалку - там им хорошо!</p>',",

			"'<p>We let out them on a dump - there it well!</p>',",

			"'',"
		)."
		'".time()."'
	)",

	"INSERT INTO {faq} (id, ".multilang("nameLANG,")." created, site_id, ".multilang("anonsLANG,")." timeedit) VALUES (
		11,
		".multilang("'Борис',", "'Boris',", "'',")."
		'".time()."',
		13,
		".multilang(
			"'Требуются ли вам сотрудники для ухода за больными бумажными зверями?',",

			"'Whether employees for care of sick paper animals are required to you?',",

			"'',"
		)."
		'".time()."'
	);",

	"INSERT INTO {faq_rel} (element_id, rel_element_id) VALUES (6, 7), (6, 5), (7, 5), (1, 2), (1, 3), (2, 3), (11, 10), (10, 8), (11, 8)",
);