<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    5.1
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2012 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include dirname(dirname(dirname(__FILE__))).'/includes/404.php';
}

/**
 * Feedback_install
 *
 * Установка модуля "Обратная связь"
 */

$title = "Обратная связь";

$sql = array(
	"INSERT INTO {modules} (name, module_name, site, site_page, admin, title) VALUES ('feedback', 'feedback', '1', '1', '1', '".$title."')",

	"CREATE TABLE {feedback} (
		id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		created INT(10) UNSIGNED NOT NULL DEFAULT '0',
		site_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
		lang_id TINYINT(2) UNSIGNED NOT NULL DEFAULT '0',
		text TEXT NOT NULL DEFAULT '',
		user_id  INT(11) UNSIGNED NOT NULL DEFAULT '0',
		admin_id  INT(11) UNSIGNED NOT NULL DEFAULT '0',
		trash ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY  (id),
		KEY site_id (site_id)
	) CHARSET=utf8",
	
	"CREATE TABLE {feedback_param} (
		id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		".multilang("nameLANG VARCHAR(250) NOT NULL DEFAULT '',")."
		type VARCHAR(20) NOT NULL DEFAULT '',
		site_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
		sort INT(11) UNSIGNED NOT NULL DEFAULT '0',
		required ENUM('0', '1') NOT NULL DEFAULT '0',
		".multilang("textLANG TEXT NOT NULL DEFAULT '',")."
		config text NOT NULL DEFAULT '',
		trash ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY  (id)
	) CHARSET=utf8",

	"CREATE TABLE {feedback_param_element} (
		id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		value text NOT NULL DEFAULT '',
		param_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
		element_id  INT(11) UNSIGNED NOT NULL DEFAULT '0',
		trash ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY  (id),
		KEY element_id (element_id),
		KEY param_id (param_id),
		KEY value (value(5))
	) CHARSET=utf8",

	"CREATE TABLE {feedback_param_select} (
		id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		param_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
		value TINYINT(2) UNSIGNED NOT NULL DEFAULT '0',
		".multilang("nameLANG VARCHAR(50) NOT NULL DEFAULT '',")."
		sort INT(11) UNSIGNED NOT NULL DEFAULT '0',
		trash ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY  (id),
		KEY param_id (param_id)
	) CHARSET=utf8",

	"INSERT INTO {site} (id,
		".multilang("nameLANG,")."
		".multilang("titleLANG,")."
		".multilang("actLANG,")."
		sort, timeedit, module_name) VALUES (
		14,
		".multilang("'".$title."',", "'Feedback',", "'',")."
		".multilang("'".$title."',", "'Feedback',", "'',")."
		".multilang("'1',")."
		'14',
		'".time()."',
		'feedback'
	);",

	"INSERT INTO {menu} (
		id,
		".multilang("nameLANG,")."
		".multilang("actLANG,")."
		site_id,
		cat_id,
		sort,
		module_name
	) VALUES (
		24,
		".multilang("'".$title."',", "'Feedback',", "'',")."
		".multilang("'1',")."
		14,
		1,
		'2',
		'site'
	);",

	"INSERT INTO {rewrite} (rewrite, module_name, element_id, site_id, cat_id, trash) VALUES ('feedback', 'site', 0, 14, 0, '0')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('feedback', 'security', '2')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('feedback', 'sendmailadmin', '1')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('feedback', 'add_message', '<div align=\"center\"><b>Спасибо за ваше сообщение!</b></div>')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('feedback', 'subject', '%%title (%%url). Обратная связь')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('feedback', 'message', 'Здравствуйте!<br>Вы оставили сообщение в форме обратной связи на сайте %%title (%%url).<br><b>Сообщение:</b> %%message <br><b>Ответ:</b> %%answer')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('feedback', 'subject_admin', '%%title (%%url). Новое сообщение в рубрике Обратная связь')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('feedback', 'message_admin', 'Здравствуйте, администратор сайта %%title (%%url)!<br>В рубрике Обратная связь появилось новое сообщение:<br>%%message')",

	"INSERT INTO {config} (`module_name`, `name`, `value`, `lang_id`) VALUES ('feedback', 'add_message', '<div align=\"center\"><b>Thank you for your message!</b></div>', 2)",

	"INSERT INTO {config} (`module_name`, `name`, `value`, `lang_id`) VALUES ('feedback', 'subject', 'Please, enter obligatory field:', 2)",

	"INSERT INTO {config} (`module_name`, `name`, `value`, `lang_id`) VALUES ('feedback', 'subject', '%%title (%%url). Feedback', 2)",

	"INSERT INTO {config} (`module_name`, `name`, `value`, `lang_id`) VALUES ('feedback', 'message', 'Hello!<br>You added message on the web site %%title (%%url).<br><b>Message:</b> %%message<br><b>Answer:</b> %%answer', 2)",

	"INSERT INTO {feedback_param} (id, ".multilang("nameLANG,")." type, site_id, sort, required) VALUES (
		1,
		".multilang("'Ваше имя',", "'Your name',", "'',")."
		'text',
		14,
		9,
		'1'
	);",

	"INSERT INTO {feedback_param} (id, ".multilang("nameLANG,")." type, site_id, sort, required) VALUES (
		2,
		".multilang("'Ваш e-mail',", "'Your e-mail',", "'',")."
		'email',
		14,
		10,
		'1'
	);",

	"INSERT INTO {feedback_param} (id, ".multilang("nameLANG,")." type, site_id, sort, required) VALUES (
		3,
		".multilang("'Ваше сообщение',", "'Your message',", "'',")."
		'textarea',
		14,
		11,
		'1'
	);"
);

$adminsite=array(
	10 =>
	array (
		'name' => 'Обратная связь',
		'rewrite' => 'feedback',
		'group_id' => '2',
		'numrow' => '759442',
		'sort' => '10',
		'act' => '1',
		'child' =>
		array (
			0 => array (
				'name' => 'Сообщения',
				'rewrite' => 'feedback',
				'group_id' => '1',
				'numrow' => '52',
				'sort' => '37',
				'act' => '1',
			),
			1 => array (
				'name' => 'Конструктор формы',
				'rewrite' => 'feedback/param',
				'group_id' => '2',
				'numrow' => '5248',
				'sort' => '38',
				'act' => '1',
			),
			2 => array (
				'name' => 'Настройки',
				'rewrite' => 'feedback/config',
				'group_id' => '2',
				'numrow' => '797',
				'sort' => '39',
				'act' => '0',
			),
		),
	),
);
	
$example = array(
	"UPDATE {site} SET
		".multilang(
			"text1='<p>Наш зоопарк гордится тем, что у нас одна из лучших систем обратной связи с нашими посетителями!</p>\r\n<p>Вы можете звонить по нашим телефонам, или отправьте сообщение из формы ниже, указав правильный почтовый ящик - и мы обязательно вам ответим!</p>'",
	
			", text2='<p>Our zoo is proud of that at us one of the best systems of a feedback with our visitors!<br /><br />You can call by our phones, or send the message from the form more low, having specified a correct mail box - and we necessarily will answer you!</p>'",
	
			""
		)."
	WHERE id=14",

	"INSERT INTO {feedback} (id, created, site_id) VALUES (
		1,
		'".(time()-86400*2)."',
		'14'
	);",

	"INSERT INTO {feedback} (id, created, site_id) VALUES (
		2,
		'".(time()-86400)."',
		'14'
	);",

	"INSERT INTO {feedback} (id, created, site_id) VALUES (
		3,
		'".time()."',
		'14'
	);",

	"INSERT INTO {feedback_param_element} (id, value, param_id, element_id) VALUES (
		1,
		'Георгий',
		1,
		1
	);",

	"INSERT INTO {feedback_param_element} (id, value, param_id, element_id) VALUES (
		2,
		'Георг',
		1,
		2
	);",

	"INSERT INTO {feedback_param_element} (id, value, param_id, element_id) VALUES (
		3,
		'Виолетта',
		1,
		3
	);",

	"INSERT INTO {feedback_param_element} (id, value, param_id, element_id) VALUES (
		4,
		'',
		2,
		1
	);",

	"INSERT INTO {feedback_param_element} (id, value, param_id, element_id) VALUES (
		5,
		'',
		2,
		2
	);",

	"INSERT INTO {feedback_param_element} (id, value, param_id, element_id) VALUES (
		6,
		'',
		2,
		3
	);",

	"INSERT INTO {feedback_param_element} (id, value, param_id, element_id) VALUES (
		10,
		'Спасибо, что вы есть!',
		3,
		1
	);",

	"INSERT INTO {feedback_param_element} (id, value, param_id, element_id) VALUES (
		11,
		'Были у вас на прошлой неделе. Все понравилось, только кролик нам на ногу наступил...',
		3,
		2
	);",

	"INSERT INTO {feedback_param_element} (id, value, param_id, element_id) VALUES (
		12,
		'Надо мной посмеялась ваша ехидна, не поползу к вам больше, пока она не извинится!',
		3,
		3
	);"
);