<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    5.1
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2012 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include dirname(dirname(dirname(__FILE__))).'/includes/404.php';
}

/**
 * Files_install
 *
 * Установка модуля "Файловый архив"
 */

$title = "Файловый архив";

$sql = array(
	"INSERT INTO {modules} (name, module_name, site, site_page, admin, title) VALUES ('files', 'files', '1', '1', '1', '".$title."')",

	"CREATE TABLE {files} (
		id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		".multilang("nameLANG TEXT NOT NULL DEFAULT '',")."
		".multilang("actLANG ENUM('0', '1') NOT NULL DEFAULT '0',")."
		date_start INT(10) UNSIGNED NOT NULL DEFAULT '0',
		date_finish INT(10) UNSIGNED NOT NULL DEFAULT '0',
		map_no_show ENUM( '0', '1' ) NOT NULL DEFAULT '0',
		cat_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
		site_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
		".multilang("keywordsLANG VARCHAR(250) NOT NULL DEFAULT '',")."
		".multilang("descrLANG text NOT NULL DEFAULT '',")."
		".multilang("title_metaLANG VARCHAR(250) NOT NULL DEFAULT '',")."
		".multilang("anonsLANG text NOT NULL DEFAULT '',")."
		".multilang("textLANG text NOT NULL DEFAULT '',")."
		link VARCHAR( 255 ) NOT NULL DEFAULT '',
		sort INT(11) UNSIGNED NOT NULL DEFAULT '0',
		timeedit INT(10) UNSIGNED NOT NULL DEFAULT '0',
		`access` ENUM('0', '1') NOT NULL DEFAULT '0',
		admin_id  INT(11) UNSIGNED NOT NULL DEFAULT '0',
		theme VARCHAR(50) NOT NULL DEFAULT '',
		view VARCHAR(50) NOT NULL DEFAULT '',
		trash ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY  (id),
		KEY site_id (site_id)
	) CHARSET=utf8",

	"CREATE TABLE {files_rel} (
		`id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		`element_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`rel_element_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`trash` ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY  (`id`)
	) CHARSET=utf8",

	"CREATE TABLE {files_category} (
		id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		".multilang("nameLANG TEXT NOT NULL DEFAULT '',")."
		".multilang("actLANG ENUM('0', '1') NOT NULL DEFAULT '0',")."
		map_no_show ENUM( '0', '1' ) NOT NULL DEFAULT '0',
		parent_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
		count_children SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
		site_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
		".multilang("keywordsLANG VARCHAR(250) NOT NULL DEFAULT '',")."
		".multilang("descrLANG text NOT NULL DEFAULT '',")."
		".multilang("title_metaLANG VARCHAR(250) NOT NULL DEFAULT '',")."
		".multilang("anonsLANG text NOT NULL DEFAULT '',")."
		".multilang("textLANG text NOT NULL DEFAULT '',")."
		sort INT(11) UNSIGNED NOT NULL DEFAULT '0',
		timeedit INT(10) UNSIGNED NOT NULL DEFAULT '0',
		`access` ENUM('0', '1') NOT NULL DEFAULT '0',
		admin_id  INT(11) UNSIGNED NOT NULL DEFAULT '0',
		theme VARCHAR(50) NOT NULL DEFAULT '',
		view VARCHAR(50) NOT NULL DEFAULT '',
		trash ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY  (id),
		KEY parent_id (parent_id),
		KEY site_id (site_id)
	) CHARSET=utf8",

	"CREATE TABLE {files_category_parents} (
		id INT( 11 ) UNSIGNED NOT NULL AUTO_INCREMENT ,
		element_id INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
		parent_id INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
		trash ENUM( '0', '1' ) NOT NULL DEFAULT '0',
		PRIMARY KEY (id)
	) CHARSET=utf8",

	"CREATE TABLE {files_category_rel} (
		id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		element_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
		cat_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
		trash ENUM( '0', '1' ) NOT NULL DEFAULT '0',
		PRIMARY KEY (id),
		KEY cat_id (cat_id)
	) CHARSET=utf8",

	"INSERT INTO {site} (id,
		".multilang("nameLANG,")."
		".multilang("actLANG,")."
		sort, timeedit, module_name) VALUES (
		5,
		".multilang("'".$title."',", "'Files',", "'',")."
		".multilang("'1',")."
		'5',
		'".time()."',
		'files'
	);",

	"INSERT INTO {rewrite} (rewrite, module_name, site_id) VALUES ('files', 'site', 5)",

	"INSERT INTO {menu} (
		id,
		module_name,
		site_id,
		cat_id,
		".multilang("nameLANG, ")."
		".multilang("actLANG, ")."
		sort
	) VALUES (
		8,
		'site',
		5,
		3,
		".multilang("'".$title."',", "'Files',", "'',")."
		".multilang("'1', ")."
		8
	)",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('files', 'cat', '0')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('files', 'images', '1')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('files', 'list_img', '1')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('files', 'use_animation', '1')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('files', 'nastr', '20')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('files', 'count_list', '3')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('files', 'attachment_extensions', 'doc, gif, jpg, mpg, pdf, png, txt, zip')"
);

$adminsite = array(
	18 =>
	array (
		'name' => 'Файловый архив',
		'rewrite' => 'files',
		'group_id' => '1',
		'numrow' => '129707',
		'sort' => '7',
		'act' => '1',
		'child' =>
		array (
			0 =>
			array (
				'name' => 'Файлы',
				'rewrite' => 'files',
				'group_id' => '1',
				'numrow' => '256',
				'sort' => '14',
				'act' => '1',
			),
			1 =>
			array (
				'name' => 'Категории',
				'rewrite' => 'files/category',
				'group_id' => '1',
				'numrow' => '1952',
				'sort' => '15',
				'act' => '1',
			),
			2 =>
			array (
				'name' => 'Настройки',
				'rewrite' => 'files/config',
				'group_id' => '1',
				'numrow' => '9',
				'sort' => '16',
				'act' => '0',
			),
		),
	),
);

$example = array(
	"UPDATE {site} SET
		".multilang("name1='Жизнь зоопарка'", ", name2='Zoo life'", "")."
		".multilang(", title1='Материалы зоопарка'", ", title2='Zoo life'", "")."
		".multilang(
			", text1='<p>В этой рубрике можно найти всякие секретные материалы нашего зоопарка. Это и архивы, и тексты, и картинки. Все доступно для скачивания на локальный компьютер, имеет расширенные описания и картинки.</p>'",
	
			", text2='<p>It is possible to find any confidential materials of our zoo in this heading. It both archives, and texts, and pictures. All is accessible to downloading on the local computer, has the expanded descriptions and pictures.</p>'",
	
			""
		)."
	WHERE id=7",

	"INSERT INTO {files} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")." cat_id, site_id, ".multilang("anonsLANG,")." sort, timeedit) VALUES (
		1,
		".multilang("'Кони Прежевалинского-Россомахина',", "'Przewalski-Rossomahin\\'s horses',", "'',")."
		".multilang("'1',")."
		1,
		5,
		".multilang(
			"'<p>Эти кони представлены несколькими особями в нашем зоопарке, от наиболее крупных, до мелких, но также весьма выносливых.</p>',",

			"'<p>These horses are presented by several individuals in our zoo, from the largest, to small, but also rather hardy.</p>',",

			"'',"
		)."
		1,
		'".time()."'
	);",

	"INSERT INTO {rewrite} (rewrite, module_name, element_id, site_id) VALUES ('files/horses/przewalski-rossomahin', 'files', 1, 5)",

	"INSERT INTO {files_category_rel} (element_id, cat_id) VALUES (1, 1);",

	"INSERT INTO {menu} (
		id,
		module_name,
		site_id,
		module_cat_id,
		cat_id,
		element_id,
		parent_id,
		".multilang("nameLANG, ")."
		".multilang("actLANG, ")."
		sort
	) VALUES (
		14,
		'files',
		5,
		2,
		3,
		1,
		11,
		".multilang("'Кони Пржевальского-Россомахина',", "'Przewalski-Rossomahin\\'s horses',", "'',")."
		".multilang("'1', ")."
		14
	)",

	"INSERT INTO {menu_parents} (`element_id`, `parent_id`) VALUES (14, 9)",
	"INSERT INTO {menu_parents} (`element_id`, `parent_id`) VALUES (14, 11)",

	"INSERT INTO {files} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")." cat_id, site_id, ".multilang("anonsLANG,")." sort, timeedit) VALUES (
		2,
		".multilang("'Рогатые кони',", "'Horned horses',", "'',")."
		".multilang("'1',")."
		1,
		5,
		".multilang(
			"'<p>Очень интересный подвид коней - рогатые кони, т.е. кони с рогами! Качайте наш файл с материалами, знакомьтесь!</p>',",

			"'<p>Very interesting subspecies of horses - horned horses, i.e. horses with horns! Swing our file with materials, get acquainted!</p>',",

			"'',"
		)."
		2,
		'".time()."'
	);",

	"INSERT INTO {rewrite} (rewrite, module_name, element_id, site_id) VALUES ('files/horses/horned', 'files', 2, 5)",

	"INSERT INTO {files_category_rel} (element_id, cat_id) VALUES (2, 1);",

	"INSERT INTO {menu} (
		id,
		module_name,
		site_id,
		module_cat_id,
		cat_id,
		element_id,
		parent_id,
		".multilang("nameLANG, ")."
		".multilang("actLANG, ")."
		sort
	) VALUES (
		15,
		'files',
		5,
		1,
		3,
		2,
		11,
		".multilang("'Рогатые кони',", "'Horned horses',", "'',")."
		".multilang("'1', ")."
		15
	)",

	"INSERT INTO {menu_parents} (`element_id`, `parent_id`) VALUES (15, 9)",
	"INSERT INTO {menu_parents} (`element_id`, `parent_id`) VALUES (15, 11)",

	"INSERT INTO {files} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")." cat_id, site_id, ".multilang("anonsLANG,")." sort, timeedit) VALUES (
		3,
		".multilang("'Фотографии экстравертов',", "'Photos of extroverts',", "'',")."
		".multilang("'1',")."
		2,
		5,
		".multilang(
			"'<p>Все фотографии зверей в одном .zip-архиве! Качайте, сохраняйте!</p>',",

			"'<p>All photo of animals in one.zip-archive! Swing, keep!</p>',",

			"'',"
		)."
		3,
		'".time()."'
	);",

	"INSERT INTO {rewrite} (rewrite, module_name, element_id, site_id) VALUES ('files/archives/photos-of-extroverts', 'files', 3, 5)",

	"INSERT INTO {files_category_rel} (element_id, cat_id) VALUES (3, 2);",

	"INSERT INTO {menu} (
		id,
		module_name,
		site_id,
		module_cat_id,
		cat_id,
		element_id,
		parent_id,
		".multilang("nameLANG, ")."
		".multilang("actLANG, ")."
		sort
	) VALUES (
		17,
		'files',
		5,
		2,
		3,
		3,
		12,
		".multilang("'Фотографии экстравертов',", "'Photos of extroverts',", "'',")."
		".multilang("'1', ")."
		17
	)",

	"INSERT INTO {menu_parents} (`element_id`, `parent_id`) VALUES (17, 12)",

	"INSERT INTO {menu_parents} (`element_id`, `parent_id`) VALUES (17, 9)",

	"INSERT INTO {files} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")." cat_id, site_id, ".multilang("anonsLANG,")." sort, timeedit) VALUES (
		4,
		".multilang("'Компромат на медведя',", "'The compromising evidence on a bear',", "'',")."
		".multilang("'1',")."
		3,
		5,
		".multilang(
			"'<p>Медведь застукан на месте преступления!!! Сенсация. Качать всем.</p>',",

			"'<p>The bear is caught on a scene of crime!!! Sensation. To swing all.</p>',",

			"'',"
		)."
		4,
		'".time()."'
	);",

	"INSERT INTO {rewrite} (rewrite, module_name, element_id, site_id) VALUES ('files/compromising/bear', 'files', 4, 5)",

	"INSERT INTO {files_category_rel} (element_id, cat_id) VALUES (4, 3);",

	"INSERT INTO {menu} (
		id,
		module_name,
		site_id,
		module_cat_id,
		cat_id,
		element_id,
		parent_id,
		".multilang("nameLANG, ")."
		".multilang("actLANG, ")."
		sort
	) VALUES (
		21,
		'files',
		5,
		3,
		3,
		4,
		13,
		".multilang("'Компромат на медведя',", "'The compromising evidence on a bear',", "'',")."
		".multilang("'1', ")."
		21
	)",

	"INSERT INTO {menu_parents} (`element_id`, `parent_id`) VALUES (21, 13)",

	"INSERT INTO {menu_parents} (`element_id`, `parent_id`) VALUES (21, 9)",

	"INSERT INTO {files_category} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")." site_id, ".multilang("textLANG,")." sort, timeedit) VALUES (
		1,
		".multilang("'Материалы на лошадей',", "'Materials on horses',", "'',")."
		".multilang("'1',")."
		5,
		".multilang(
			"'<p>Тексты о лошадях, доступные для скачивания.</p>',",

			"'<p>Texts about the horses, accessible to downloading.</p>',",

			"'',"
		)."
		1,
		'".time()."'
	)",

	"INSERT INTO {rewrite} (rewrite, module_name, site_id, cat_id) VALUES ('files/horses', 'files', 5, 1)",

	"INSERT INTO {menu} (
		id,
		module_name,
		site_id,
		module_cat_id,
		cat_id,
		parent_id,
		".multilang("nameLANG, ")."
		".multilang("actLANG, ")."
		count_children,
		sort
	) VALUES (
		11,
		'files',
		5,
		1,
		3,
		9,
		".multilang("'Материалы на лошадей',", "'Materials on horses',", "'',")."
		".multilang("'1', ")."
		2,
		11
	)",

	"INSERT INTO {menu_parents} (`element_id`, `parent_id`) VALUES (11, 9)",

	"INSERT INTO {files_category} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")." site_id, ".multilang("textLANG,")." sort, timeedit) VALUES (
		2,
		".multilang("'Архивы',", "'Archive',", "'',")."
		".multilang("'1',")."
		5,
		".multilang(
			"'<p>Если вам нужны фотографии по группам в .zip-архивах, качайте их здесь.</p>',",

			"'<p>If photo on groups in.zip-archives are necessary to you, swing them here.</p>',",

			"'',"
		)."
		2,
		'".time()."'
	)",

	"INSERT INTO {rewrite} (rewrite, module_name, site_id, cat_id) VALUES ('files/archives', 'files', 5, 2)",

	"INSERT INTO {menu} (
		id,
		module_name,
		site_id,
		module_cat_id,
		cat_id,
		parent_id,
		".multilang("nameLANG, ")."
		".multilang("actLANG, ")."
		count_children,
		sort
	) VALUES (
		12,
		'files',
		5,
		2,
		3,
		9,
		".multilang("'Архивы',", "'Archive',", "'',")."
		".multilang("'1', ")."
		1,
		12
	)",

	"INSERT INTO {menu_parents} (`element_id`, `parent_id`) VALUES (12, 9)",

	"INSERT INTO {files_category} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")." site_id, ".multilang("textLANG,")." sort, timeedit) VALUES (
		3,
		".multilang("'Компроматы',", "'Compromising',", "'',")."
		".multilang("'1',")."
		5,
		".multilang(
			"'<p>Не пожалеете,&nbsp;что скачали!!! Шокирующие подробности из жизни животных.</p>',",

			"'<p>Will not regret that have downloaded!!! Shocking details from a life of animals.</p>',",

			"'',"
		)."
		3,
		'".time()."'
	);",

	"INSERT INTO {rewrite} (rewrite, module_name, site_id, cat_id) VALUES ('files/compromising', 'files', 5, 3)",

	"INSERT INTO {menu} (
		id,
		module_name,
		site_id,
		module_cat_id,
		cat_id,
		parent_id,
		".multilang("nameLANG, ")."
		".multilang("actLANG, ")."
		count_children,
		sort
	) VALUES (
		13,
		'files',
		5,
		3,
		3,
		9,
		".multilang("'Компроматы',", "'Compromising',", "'',")."
		".multilang("'1', ")."
		1,
		13
	)",

	"INSERT INTO {menu_parents} (`element_id`, `parent_id`) VALUES (13, 9)",

	"INSERT INTO {attachments} (id, name, module_name, element_id, extension, size) VALUES (
		1,
		'koni-prezhevalinskogo-rossomaxina.txt',
		'files',
		'1',
		'text/plain',
		60
	)",

	"INSERT INTO {attachments} (id, name, module_name, element_id, extension, size) VALUES (
		2,
		'rogatye-koni.txt',
		'files',
		'2',
		'application/zip',
		1745
	)",

	"INSERT INTO {attachments} (id, name, module_name, element_id, extension, size) VALUES (
		6,
		'kompromat-na-medvedya.txt',
		'files',
		'4',
		'text/plain',
		97
	);"

);

function module_basic_files()
{
	DB::query("INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('files', 'images_variations', '%s')", serialize(array(0 => array('name' => 'medium', 'id' => 1), 1 => array('name' => 'large', 'id' => 3))));
}

/**
 * Выполняет действия для установки примеров заполнения модуля
 * 
 * @return void
 */
function module_example_files()
{
	if (! is_dir(ABSOLUTE_PATH.USERFILES.'/files'))
	{
		mkdir(ABSOLUTE_PATH.USERFILES.'/files', 0777);
	}

	if (! is_dir(ABSOLUTE_PATH.USERFILES.'/files/large'))
	{
		mkdir(ABSOLUTE_PATH.USERFILES.'/files/large', 0777);
	}

	if (! is_dir(ABSOLUTE_PATH.USERFILES.'/files/small'))
	{
		mkdir(ABSOLUTE_PATH.USERFILES.'/files/small', 0777);
	}

	if (! is_dir(ABSOLUTE_PATH.USERFILES.'/files/files'))
	{
		mkdir(ABSOLUTE_PATH.USERFILES.'/files/files', 0777);
	}

	$text = 'Options -Indexes

<files *>
deny from all
</files>';

	$fp = fopen(ABSOLUTE_PATH.USERFILES.'/files/files/.htaccess', "w");
	fwrite($fp, $text);
	fclose($fp);

	$array = array(
		1 => 'Кони Пржеваниского-Россомахина - одни из самых лучших коней!',
		2 => 'Под "Рогатыми конями" скрываются просто олени и горные козлы.'
	);

	foreach ($array as $k => $a)
	{
		$fp = fopen(ABSOLUTE_PATH.USERFILES.'/files/files/'.$k, "w");
		fwrite($fp, $a);
		fclose($fp);
	}

	if (! file_exists(ABSOLUTE_PATH.USERFILES.'/files/files/fotografii-ekstravertov.zip'))
	{
		copy(DEMO_PATH.'files/files/fotografii-ekstravertov.zip',
		     ABSOLUTE_PATH.USERFILES.'/files/files/fotografii-ekstravertov.zip');
	}

	$array = array(
		1 => array(15 => 'koni-prezhevalinskogo-rossomaxina', 16 => 'koni-prezhevalinskogo-rossomaxina', 17 => 'koni-prezhevalinskogo-rossomaxina'),
		2 => array(18 => 'rogatye-koni', 19 => 'rogatye-koni'),
		3 => array(20 => 'fotografii-intravertov', 21 => 'fotografii-intravertov'),
		4 => array(22 => 'kompromat')
	);
	$module = 'files';
	foreach ($array as $k => $a)
	{
		foreach ($a as $id => $name)
		{
			$name = $name.'_'.$id.'.jpg';
			DB::query("INSERT INTO {images} (id, name, module_name, element_id, sort) VALUES ('%d', '%s', '%s', '%d', '%d')", $id, $name, $module, $k, $id);

			if (! file_exists(ABSOLUTE_PATH.USERFILES.'/original/'.$name))
			{
				copy(DEMO_PATH.$module.'/'.$name, ABSOLUTE_PATH.USERFILES.'/original/'.$name);
				copy(DEMO_PATH.$module.'/'.$name, ABSOLUTE_PATH.USERFILES.'/'.$module.'/large/'.$name);
				copy(DEMO_PATH.$module.'/small/'.$name, ABSOLUTE_PATH.USERFILES.'/small/'.$name);
				copy(DEMO_PATH.$module.'/medium/'.$name, ABSOLUTE_PATH.USERFILES.'/'.$module.'/small/'.$name);
			}

			chmod(ABSOLUTE_PATH.USERFILES.'/small/'.$name, 0777);
			chmod(ABSOLUTE_PATH.USERFILES.'/original/'.$name, 0777);
			chmod(ABSOLUTE_PATH.USERFILES.'/'.$module.'/large/'.$name, 0777);
			chmod(ABSOLUTE_PATH.USERFILES.'/'.$module.'/small/'.$name, 0777);
		}
	}
}