var selectarea = '';
$(document).ready(function(){
    $('.images_upload').change(function(){
		var button = $(this);
		$(this).parents('form').ajaxSubmit({
			type : 'POST',
			data : {action: 'upload', module : 'images'},
			dataType: 'json',
			url: window.location.href,

			beforeSubmit: function(a,form,o) {
				$('.errors').hide();
			},

			success: function(response, statusText, xhr, form)
			{
				if (response.selectarea)
				{
					selectarea = response.selectarea;
					get_selectarea();
				}
				if (response.error)
				{
					$(form).find(".error_images").html(response.error).show();
				}
				if(response.errors && response.errors['image'])
				{
						$(form).find(".error_images").html(response.errors['image']).show();
				}
				if (response.id)
				{
					$(form).find("input[name=id]").val(response.id);
				}
				if (response.data && response.target)
				{
					$(response.target).html(prepare(response.data));
					$('input[name=image]').val('');
				}
				if (response.hash)
				{
					$('input[name=check_hash_user]').val(response.hash);
					$('.check_hash_user').text(response.hash);
				}
				return false;
			}
		});
		return false;
	});

	$(".images_actions a").live('click', function() {
		var self = $(this);
		if (! self.attr("action"))
		{
			return true;
		}
		if (self.attr("confirm") && ! confirm(self.attr("confirm")))
		{
			return false;
		}
		$.ajax({
			url : window.location.href,
			type : 'POST',
			dataType : 'json',
			data : {
				action: self.attr("action"),
				module: 'images',
				element_id : self.parents(".images_actions").attr("element_id"),
				image_id : self.parents(".images_actions").attr("image_id"),
				check_hash_user : $('.check_hash_user').text()
			},
			success : (function(response)
			{
				if (response.error)
				{
					$(".error_images").html(response.error).show();
				}
				if(response.errors && response.errors['image'])
				{
					$(form).find(".error_images").html(response.errors['image']).show();
				}
				if (response.target)
				{
					$(response.target).html(prepare(response.data));
				}
				else
				{
					$(th).parents(".images_actions").html(prepare(response.data));
				}
				if (response.hash)
				{
					$('input[name=check_hash_user]').val(response.hash);
					$('.check_hash_user').text(response.hash);
				}
			})
		});
		return false;
	});

	$(".images_actions").live('mouseover', function(){
		$(this).addClass('hover');
		$(this).find('.images_button').show();
	});

	$(".images_actions").live('mouseout', function(){
		$(this).removeClass('hover');
		$(this).find('.images_button').hide();
	});

	$(".ajax_save_image").live('click', function(){
		var self = $(this);
		$.ajax({
			url : window.location.href,
			type : 'POST',
			dataType : 'json',
			data : {
				action: 'save',
				module: 'images',
				element_id : self.parents(".images_actions").attr("element_id"),
				image_id : self.parents(".images_actions").attr("image_id"),
				check_hash_user : $('.check_hash_user').text(),
				alt : self.parents("div").find("input[name=alt]").val(),
				title : self.parents("div").find("input[name=title]").val()
			},
			success : (function(response)
			{
				if (response.data && response.target)
				{
					$(response.target).html(prepare(response.data));
				}
				if (response.hash)
				{
					$('input[name=check_hash_user]').val(response.hash);
					$('.check_hash_user').text(response.hash);
				}
			})
		});
	});
	$("#images_selectarea_button").live('click', function(){
		if($("input[name=x1]").val() == $("input[name=x2]").val()
		||  $("input[name=y1]").val() == $("input[name=y2]").val())
		{
			alert($("#images_selectarea_info").text());
			return false;
		}
		$.ajax({
			type : "POST",
			data : {
				action: "selectarea",
				module : "images",
				x1: $("input[name=x1]").val(),
				x2: $("input[name=x2]").val(),
				y1: $("input[name=y1]").val(),
				y2: $("input[name=y2]").val(),
				id: $("input[name=image_id]").val(),
				variation_id: $("input[name=variation_id]").val(),
				check_hash_user : $('.check_hash_user').text()
			},
			dataType: "json",
			url: window.location.href,
	
			success: function(response, statusText, xhr, form)
			{
				if (response.hash)
				{
					$('input[name=check_hash_user]').val(response.hash);
					$('.check_hash_user').text(response.hash);
				}
				$("#selectarea").hide();
				$('.imgareaselect-outer, .imgareaselect-handle, .imgareaselect-border1, .imgareaselect-border2, .imgareaselect-border3, .imgareaselect-border4, .imgareaselect-selection').remove();
				get_selectarea();
				return false;
			}
		});
		return false;
	});
});

function get_selectarea()
{
	if(! selectarea || ! selectarea[0])
		return;

	$("#selectarea").html(prepare(selectarea[0])).show();
	var new_selectarea = [];
	$.each(selectarea, function (k, v) {
		if(k != 0)
		{
			new_selectarea.push(v);
		}
	});
	selectarea = new_selectarea;
}