<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    5.1
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2012 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include dirname(dirname(dirname(__FILE__))).'/includes/404.php';
}

/**
 * Search_install
 *
 * Установка модуля "Поиск"
 */
$title = 'Поиск';
 
$sql = array(
	"INSERT INTO {modules} (name, module_name, site, site_page, admin, title) VALUES ('search', 'search', '1', '1', '1', '".$title."')",

	"CREATE TABLE {search_results} (
	`id` int(11) unsigned NOT NULL auto_increment,
	`name` varchar(255) NOT NULL,
	`url` varchar(255) NOT NULL,
	`snippet` varchar(255) NOT NULL,
	`element_id` int(11) unsigned NOT NULL,
	`table_name` varchar(50) NOT NULL,
	`lang_id` tinyint(2) unsigned NOT NULL,
	`rating` tinyint(2) unsigned NOT NULL,
	PRIMARY KEY  (`id`)
	) DEFAULT CHARSET=utf8  ;",

	"CREATE TABLE {search_keywords} (
	`id` int(11) unsigned NOT NULL auto_increment,
	`keyword` varchar(255) NOT NULL,
	PRIMARY KEY  (`id`),
	KEY ( `keyword` ( 3 ) )
	) DEFAULT CHARSET=utf8  ;",

	"CREATE TABLE {search_index} (
	`id` int(11) unsigned NOT NULL auto_increment,
	`keyword_id` int(11) unsigned NOT NULL,
	`result_id` int(11) unsigned NOT NULL,
	PRIMARY KEY  (`id`),
	KEY keyword_id (`keyword_id`)
	) DEFAULT CHARSET=utf8 ;",

	"CREATE TABLE {search_history} (
	`id` int(11) unsigned NOT NULL auto_increment,
	`created` INT( 10 ) UNSIGNED NOT NULL DEFAULT '0',
	`name` text NOT NULL DEFAULT '',
	PRIMARY KEY  (`id`)
	) DEFAULT CHARSET=utf8  ;",

	"INSERT INTO {site} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")." sort, timeedit, module_name) VALUES (
	8,
	".multilang("'Поиск по сайту',", "'Search',")."
	".multilang("'1',")."
	'8',
	".time().",
	'search'
	);",

	"INSERT INTO {rewrite} (rewrite, module_name, site_id) VALUES ('search', 'site', 8)",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('search', 'nastr', '10')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('search', 'count_history', '10')",
);

$adminsite = array(
	0 =>
	array (
		'name' => 'Поиск',
		'rewrite' => 'search',
		'group_id' => '1',
		'numrow' => '8',
		'sort' => '22',
		'act' => '1',
		'child' => 
		array (
		  0 => 
		  array (
			'name' => 'Индексация',
			'rewrite' => 'search',
			'group_id' => '1',
			'numrow' => '0',
			'sort' => '1',
			'act' => '1',
		  ),
		  1 => 
		  array (
			'name' => 'История поиска',
			'rewrite' => 'search/history',
			'group_id' => '1',
			'numrow' => '0',
			'sort' => '2',
			'act' => '1',
		  ),
		  2 => 
		  array (
			'name' => 'Настройки',
			'rewrite' => 'search/config',
			'group_id' => '1',
			'numrow' => '0',
			'sort' => '3',
			'act' => '1',
		  ),
		)
	),
);


/**
 * Выполняет действия по установке модуля
 * 
 * @return void
 */
function module_basic_search()
{
	/*
	$diafan = new stdClass();
	$modules = array();
	if ($dir = opendir(ABSOLUTE_PATH."modules"))
	{
		while (($file = readdir($dir)) !== false)
		{
			if (! $file != '.' && $file != '..' && file_exists(ABSOLUTE_PATH.'modules/'.$file.'/'.$file.'.search.php'))
			{
				$modules[] = $file;
			}
		}
	}
	closedir($dir);

	if(empty($modules))
	{
		return; 
	}
	include_once ABSOLUTE_PATH.'modules/search/admin/search.admin.index.php';
	$search_admin_index = new Search_admin_index($diafan);
	foreach($modules as $module)
	{
		$search_admin_index->config = array(
			
		);
	}*/
}