<?php

/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    5.1
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2012 OOO "Диафан". (http://diafan.ru)
 */
if (!defined('DIAFAN'))
{
    include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Users_install
 *
 * Установка модуля "Регистрация"
 */
$title = "Пользователи";

$sql = array(
    "INSERT INTO {modules} (name, module_name, site, site_page, title) VALUES ('users', 'users', '1', '1', 'Страница пользователя')",

    "INSERT INTO {modules} (name, module_name, site, site_page, title) VALUES ('registration', 'users', '1', '1', 'Регистрация')",

    "INSERT INTO {modules} (name, module_name, site, site_page, title) VALUES ('reminding', 'users', '1', '1', 'Восстановление доступа')",

    "CREATE TABLE {users_actlink} (
		`id` int(11) unsigned NOT NULL AUTO_INCREMENT,
		`link` varchar(250) NOT NULL DEFAULT '',
		`user_id` int(11) unsigned NOT NULL DEFAULT '0',
		`created` INT(10) unsigned NOT NULL DEFAULT '0',
		PRIMARY KEY (`id`)
	) CHARSET=utf8",

    "INSERT INTO {site} (id,
		".multilang("`nameLANG`,")."
		".multilang("`actLANG`,")."
		`sort`, `timeedit`, `module_name`, map_no_show) VALUES (
		17,
		".multilang("'Регистрация',", "'Registration',", "'',")."
		".multilang("'1',")."
		'17',
		'".time()."',
		'registration',
		'1'
	);",
    "INSERT INTO {rewrite} (`rewrite`, `module_name`, `site_id`) VALUES ('registration', 'site', 17)",
    "INSERT INTO {site} (id,
		".multilang("`nameLANG`,")."
		".multilang("`actLANG`,")."
		`sort`, `timeedit`, `module_name`, map_no_show) VALUES (
		23,
		".multilang("'Восстановление доступа',", "'Restore access to your account',", "'',")."
		".multilang("'1',")."
		'18',
		'".time()."',
		'reminding',
		'1'
	);",
    "INSERT INTO {rewrite} (`rewrite`, `module_name`, `site_id`) VALUES ('reminding', 'site', 23)",
    "INSERT INTO {site} (id,
		".multilang("`nameLANG`,")."
		".multilang("`actLANG`,")."
		`sort`, `timeedit`, `module_name`, map_no_show) VALUES (
		24,
		".multilang("'Страница пользователя',", "'User page',")."
		".multilang("'1',")."
		'16',
		'".time()."',
		'users',
		'1'
	);",

    "INSERT INTO {rewrite} (`rewrite`, `module_name`, `site_id`) VALUES ('users', 'site', 24)",

    "INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('users', 'captcha', '1')",

    "INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('users', 'sendmailadmin', '1')",

    "INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('users', 'act', '1')",

    "INSERT INTO {config} (`module_name`, `name`, `value`, `lang_id`) VALUES "
    .multilang("('users', 'mes', 'Вы удачно зарегистрированы. Для активации аккаунта пройдите по ссылке, высланной на ваш e-mail.', '')",
    ", ('users', 'mes', 'Congratulations! You have successful registered. In order to activate your account please click the link send to your e-mail.', 2)",
    ""),

    "INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('users', 'subject_admin', '%%title (%%url). Новый пользователь')",

    "INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('users', 'message_admin', 'Здравствуйте, администратор сайта %%title (%%url)!<br>На сайте появился новый пользователь: %%fio (%%login), %%email.')",

    "INSERT INTO {config} (`module_name`, `name`, `value`, `lang_id`) VALUES "
    .multilang("('users', 'subject', 'Вы зарегистрированы на сайте %%title (%%url)', '')",
    ", ('users', 'subject', 'You registered on web site %%title (%%url).', 2)",
    ""),

    "INSERT INTO {config} (`module_name`, `name`, `value`, `lang_id`) VALUES "
    .multilang("('users', 'message', 'Здравствуйте, %%fio!<br>Вы зарегистрированы на сайте %%title (%%url).<br>Логин: %%login<br>Пароль: %%password<br>Для активации аккаунта пройдите по ссылке %%actlink<br>Ссылка действует в течении суток.', '')",
    ", ('users', 'message', 'Hello, %%fio!<br>You registered on web site %%title (%%url).<br>Username: %%login<br>Password: %%password<br>In order to activate your account please click the link %%actlink<br>Link act in next day.', 2)",
    ""),

    "INSERT INTO {config} (`module_name`, `name`, `value`, `lang_id`) VALUES "
    .multilang("('users', 'mes_reminding', 'На ваш e-mail отправлена ссылка на форму изменения пароля.', '')",
    ", ('users', 'mes_reminding', 'In your e-mail sent a link to the password change form.', 2)",
    ""),

    "INSERT INTO {config} (`module_name`, `name`, `value`, `lang_id`) VALUES "
    .multilang("('users', 'subject_reminding', 'Восстановление доступа к сайту %%title (%%url).', '')",
    ", ('users', 'subject_reminding', 'Restore access to the site %%title (%%url).', 2)",
    ""),

    "INSERT INTO {config} (`module_name`, `name`, `value`, `lang_id`) VALUES "
    .multilang("('users', 'message_reminding', 'Здравствуйте, %%fio!<br>Вы запросили восстановление доступа к сайту %%title (%%url).<br>Для изменения пароля пройдите по ссылке: %%actlink', '')",
    ", ('users', 'message_reminding', 'Hello, %%fio!<br>You have requested the restoration of access to the site %%title (%%url).<br>To change the password, go to: %%actlink', 2)",
    ""),

    "INSERT INTO {config} (`module_name`, `name`, `value`, `lang_id`) VALUES "
    .multilang("('users', 'subject_reminding_new_pass', 'Новый пароль на сайте %%title (%%url)', '')",
    ", ('users', 'subject_reminding_new_pass', 'New password on the site %%title (%%url)', 2)",
    ""),

    "INSERT INTO {config} (`module_name`, `name`, `value`, `lang_id`) VALUES "
    .multilang("('users', 'message_reminding_new_pass', 'Здравствуйте, %%fio!<br>Вы изменили пароль на сайте %%title (%%url).<br>Логин: %%login<br>Пароль: %%password', '')",
    ", ('users', 'message_reminding_new_pass', 'Hello, %%fio!<br>You have changed your password on the site %%title (%%url).<br>Username: %%login<br>Password: %%password', 2)",
    ""),

    "INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('users', 'avatar', '1')",

    "INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('users', 'avatar_width', '50')",

    "INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('users', 'avatar_height', '50')",

    "INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('users', 'avatar_quality', '80')",
);

$example = array(
    "UPDATE {site} SET
		".multilang(
	    "text1='<p>Регистрация на сайте нашего зоопарка дает многое: для посетителей доступ к некоторым закрытым страницам, голосованиям и т.д. А администрация нашего зоопарка часто делает рассылки интересных новостей по базе наших пользователей.</p>'", ", text2='<p>Registration on a site of our zoo gives much: for visitors access to some closed pages, votings etc. And the administration of our zoo often does dispatches of interesting news on base of our users.</p>'", ""
    )."
	WHERE id=8",
    "UPDATE {site} SET
		".multilang(
	    "text1='<p>Если вы забыли пароль, вам необходимо ввести ваш логин и почтовый ящик в форму ниже и нажать отправить. Новый пароль придет к вам на почту. Восстановление старого пароля невозможно, т.к. пароли шифруются по алгоритму md5.</p>'", ", text2='<p>If you have forgotten the password, it is necessary for you to enter your login and a mail box into the form more low and to press to send. The new password will come to you on mail. Restoration of the old password is impossible, since passwords are ciphered on algorithm md5.</p>'", ""
    )."
	WHERE id=11",

    "INSERT INTO {users} (id, name, password, mail, created, fio, act) VALUES (
		2,
		'kukushkin',
		'48222981add3862a4c8e9646fd77b1d1',
		'kukushkin@site.com',
		'1231794000',
		'Кукушкин Адольф',
		'1'
	)",

    "INSERT INTO {users} (id, name, password, mail, created, fio, act) VALUES (
		3,
		'filimon',
		'c42a922f981091217a808fb6eea48e26',
		'filimon@site.ru',
		'1234126800',
		'Филимон Авруцкий',
		'1'
	)"
);

/**
 * Выполняет действия для основной установки модуля
 * 
 * @return void
 */
function module_basic_users()
{
    if (!is_dir(ABSOLUTE_PATH.USERFILES.'/avatar'))
    {
		mkdir(ABSOLUTE_PATH.USERFILES.'/avatar', 0777);
    }
}

/**
 * Выполняет действия для установки примеров заполнения модуля
 * 
 * @return void
 */
function module_example_users()
{
    if (!file_exists(ABSOLUTE_PATH.USERFILES.'/avatar/filimon.png'))
    {
		copy(DEMO_PATH.'avatar/filimon.png', ABSOLUTE_PATH.USERFILES.'/avatar/filimon.png');
    }
    if (!file_exists(ABSOLUTE_PATH.USERFILES.'/avatar/kukushkin.png'))
    {
		copy(DEMO_PATH.'avatar/kukushkin.png', ABSOLUTE_PATH.USERFILES.'/avatar/kukushkin.png');
    }
}

/**

 * Деинсталлирует модуль
 * 
 * @return void
 */
function module_basic_uninstall_users()
{
    $module = 'users';
    DB::query("DROP TABLE {users_actlink};");

	DB::query("DELETE FROM {modules} WHERE module_name IN ('users', 'registration', 'reminding')");

    DB::query("DELETE FROM {config} WHERE module_name='".$module."';");

    $site_ids = DB::query_result("SELECT GROUP_CONCAT(id SEPARATOR ',') FROM {site} WHERE module_name IN ('users', 'registration', 'reminding')");
    if ($site_ids) {
        DB::query("DELETE FROM {site} WHERE id IN (" . $site_ids . ")");
        DB::query("DELETE FROM {site_parents} WHERE element_id IN (" . $site_ids . ")");
        DB::query("DELETE FROM {rewrite} WHERE module_name='site' AND site_id IN (" . $site_ids . ")");

        $menu_ids = DB::query_result("SELECT GROUP_CONCAT(id SEPARATOR ',') FROM {menu} WHERE site_id IN ('" . $site_ids . "')");
        if ($menu_ids) {
            DB::query("DELETE FROM {menu} WHERE id IN (" . $menu_ids . ")");
            $menu_child_ids = DB::query_result("SELECT GROUP_CONCAT(element_id SEPARATOR ',') FROM {menu_parents} WHERE parent_id IN (" . $menu_ids . ")");
            if ($menu_child_ids) {
                DB::query("DELETE FROM {menu_parents} WHERE element_id IN (" . $menu_child_ids . ")");
            }
            DB::query("DELETE FROM {menu_parents} WHERE element_id IN (" . $menu_ids . ")");
        }
    }


    $trash_ids = DB::query_result("SELECT GROUP_CONCAT(id SEPARATOR ',') FROM {trash} WHERE module_name='".$module."'");
    if ($trash_ids)
    {
	DB::query("DELETE FROM {trash} WHERE id IN (".$trash_ids.")");
	$trash_child_ids = DB::query_result("SELECT GROUP_CONCAT(element_id SEPARATOR ',') FROM {trash_parents} WHERE parent_id IN (".$trash_ids.")");
	if ($trash_child_ids)
	{
	    DB::query("DELETE FROM {trash_parents} WHERE element_id IN (".$trash_child_ids.")");
	}
	DB::query("DELETE FROM {trash_parents} WHERE element_id IN (".$trash_ids.")");
    }
}