<?php
/**
 * Diafan.CMS
 * Bootstrap
 *
 * ВНИМАНИЕ, не надо править этот файл, закачивайте HTML-шаблон в /themes/site.php!
 *
 * @author     diafan.ru
 * @version    5.1
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2012 OOO "Диафан". (http://diafan.ru)
 */

define('DIAFAN', 1);
define('ABSOLUTE_PATH', dirname(__FILE__).'/');

if (empty($_GET["rewrite"]))
{
	$_GET["rewrite"] = '';
}

if (file_exists(ABSOLUTE_PATH.'installation/install.php'))
{
	include ABSOLUTE_PATH.'installation/install.php';
}

include ABSOLUTE_PATH.'config.php';

if (!TIMEZONE || @!date_default_timezone_set(TIMEZONE))
{
	@date_default_timezone_set('Europe/Moscow');
}

include_once ABSOLUTE_PATH.'includes/customization.php';

Customization::inc('includes/developer.php');

$dev = new Dev();
$dev->set_error();

Customization::inc('includes/diafan.php');

if (preg_match('/^'.ADMIN_FOLDER.'(\/|$)/', $_GET["rewrite"]))
{
	include_once(ABSOLUTE_PATH.'adm/index.php');
}

define('IS_ADMIN', 0);
define('BASE_PATH', "http://".$_SERVER["HTTP_HOST"]."/".(REVATIVE_PATH ? REVATIVE_PATH.'/' : ''));

Customization::inc('includes/core.php');

Customization::inc('includes/init.php');

$diafan = new Init();
$diafan->start();

exit;