<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    5.1
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2012 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include dirname(dirname(dirname(__FILE__))).'/includes/404.php';
}

/**
 * Оформление формы добавления объявления
 */

echo '<form method="POST" enctype="multipart/form-data" action="" class="ajax ads_form">
<input type="hidden" name="module" value="ads">
<input type="hidden" name="site_id" value="'.$result["site_id"].'">
<input type="hidden" name="ajax" value="0">';

echo '<div class="infofield">'.$this->diafan->_('Заголовок').'<font color="red">*</font>:</div>
<input type="text" name="name" size="40" value="" class="inptext">
<div class="errors error_name"'.($result["error_name"] ? '>'.$result["error_name"] : ' style="display:none">').'</div>';

/*echo '<div class="infofield">'.$this->diafan->_('Показывать на сайте до').'<font color="red">*</font>:</div>
<input type="text" name="date_finish" size="40" value="" class="inptext timecalendar" showTime="false">
<div class="errors error_date_finish"'.($result["error_date_finish"] ? '>'.$result["error_date_finish"] : ' style="display:none">').'</div>';*/

echo '<div class="infofield">'.$this->diafan->_('Краткое содержание').'<font color="red">*</font>:</div>
<textarea name="anons" class="inptext" rows="10" cols="30"></textarea>
<div class="errors error_anons"'.($result["error_anons"] ? '>'.$result["error_anons"] : ' style="display:none">').'</div>';

echo '<div class="infofield">'.$this->diafan->_('Полное содержание').'<font color="red">*</font>:</div>
<textarea name="text" class="inptext" rows="10" cols="30"></textarea>
<div class="errors error_text"'.($result["error_text"] ? '>'.$result["error_text"] : ' style="display:none">').'</div>';

if(! empty($result["cats"]))
{
	echo '<div class="infofield">'.$this->diafan->_('Категория').'<font color="red">*</font>:</div>';
	echo '<select name="cat_id">';
	foreach($result["cats"][0] as $row)
	{
		echo '<option value="'.$row["id"].'">'.$row["name"].'</option>';
		if(empty($result["cats"][$row["id"]] ))
			continue;
		foreach($result["cats"][$row["id"]] as $row2)
		{
			echo '<option value="'.$row2["id"].'">--'.$row2["name"].'</option>';
			if(empty($result["cats"][$row2["id"]] ))
				continue;
			foreach($result["cats"][$row2["id"]] as $row3)
			{
				echo '<option value="'.$row3["id"].'">----'.$row3["name"].'</option>';
			}
		}
	}
	echo '</select>';
	echo '<div class="errors error_cat_id"'.($result["error_cat_id"] ? '>'.$result["error_cat_id"] : ' style="display:none">').'</div>';
	if(empty($GLOBALS["include_ads_js"]))
	{
		$GLOBALS["include_ads_js"] = true;
		echo '<script type="text/javascript" src="'.BASE_PATH.'modules/ads/ads.js"></script>';
	}
}
elseif(! empty($result["cat_id"]))
{
	echo '<input type="hidden" name="cat_id" value="'.$result["cat_id"].'">';
}
if (! empty($result["rows"]))
{
	foreach ($result["rows"] as $row) //вывод полей из конструктора форм
	{
		echo '<div class="ads_form_param ads_form_param'.$row["id"].'"'.($row["cats"] ? ' cats'.implode('="true" cats', $row["cats"]).'="true"': '').'>';

		switch ($row["type"])
		{
			case 'title':
				echo '<div class="infoform">'.$row["name"].':</div>';
				break;

			case 'text':
			case "email":
				echo '<div class="infofield">'.$row["name"].($row["required"] ? '<font color="red">*</font>' : '').':</div>
				<input type="text" name="p'.$row["id"].'" size="40" value="" class="inptext">';
				break;

			case 'textarea':
				echo '<div class="infofield">'.$row["name"].($row["required"] ? '<font color="red">*</font>' : '').':</div>
				<textarea name="p'.$row["id"].'" class="inptext" rows="10" cols="30"></textarea>';
				break;

			case 'date':
			case 'datetime':
				$timecalendar  = true;
				echo '<div class="infofield">'.$row["name"].($row["required"] ? '<font color="red">*</font>' : '').':</div>
					<input type="text" name="p'.$row["id"].'" size="20" value="" class="inptext timecalendar" showTime="'
					.($row["type"] == 'datetime'? 'true' : 'false').'">';
				break;

			case 'numtext':
				echo '<div class="infofield">'.$row["name"].($row["required"] ? '<font color="red">*</font>' : '').':</div>
				<input type="text" name="p'.$row["id"].'" size="5" value="" class="inpnum">';
				break;

			case 'checkbox':
				echo '<div class="infofield"><input type="checkbox" name="p'.$row["id"].'" value="1" class="inpcheckbox">
				'.$row["name"].($row["required"] ? '<font color="red">*</font>' : '').'</div>';
				break;

			case 'select':
				echo '<div class="infofield">'.$row["name"].($row["required"] ? '<font color="red">*</font>' : '').':</div>
				<select name="p'.$row["id"].'" class="inpselect">
					<option value="">-</option>';
				foreach ($row["select_array"] as $select)
				{
					echo '<option value="'.$select["id"].'">'.$select["name"].'</option>';
				}
				echo '</select>';
				break;

			case 'multiple':
				echo '<div class="infofield">'.$row["name"].($row["required"] ? '<font color="red">*</font>' : '').':</div>';
				foreach ($row["select_array"] as $select)
				{
					echo '<br><input name="p'.$row["id"].'[]" value="'.$select["id"].'" type="checkbox" class="inpcheckbox"> '.$select["name"];
				}
				break;

			case "attachments":
				echo '<div class="infofield">'.$row["name"].($row["required"] ? '<font color="red">*</font>' : '').':</div>';
				echo '<div class="inpattachment"><input type="file" name="attachments'.$row["id"].'[]" class="inpfiles" max="'.$row["max_count_attachments"].'"></div>';
				echo '<div class="inpattachment" style="display:none"><input type="file" name="hide_attachments'.$row["id"].'[]" class="inpfiles" max="'.$row["max_count_attachments"].'"></div>';
				if ($row["attachment_extensions"])
				{
					echo '<div class="attachment_extensions">('.$this->diafan->_('Доступные типы файлов').': '.$row["attachment_extensions"].')</div>';
				}
				break;
		}

		echo '<div class="ads_form_param_text">'.$row["text"].'</div>';

		if($row["type"] != 'title')
		{
			echo '<div class="errors error_p'.$row["id"].'"'.($result["error_p".$row["id"]] ? '>'.$result["error_p".$row["id"]] : ' style="display:none">').'</div>';
		}
		echo '</div>';
	}
}

//Защитный код
echo $result["captcha"];

//Кнопка Отправить
echo '<span class="button_wrap"><input type="submit" value="'.$this->diafan->_('Отправить', false).'" class="button" name="button"></span>

<div class="required_field"><font color="red">*</font> — '.$this->diafan->_('Поля, обязательные для заполнения').'</div>

</form>';
echo '<div class="errors error"'.($result["error"] ? '>'.$result["error"] : ' style="display:none">').'</div>';