<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    5.1
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2012 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Bnners_install
 *
 * Установка модуля "Баннеры"
 */

$title = "Баннеры";

$sql = array(
	"INSERT INTO {modules} (name, module_name, site, admin, title) VALUES ('banners', 'banners', '1', '1', '".$title."')",

	"CREATE TABLE {banners} (
		id int(11) unsigned NOT NULL auto_increment,
		name text NOT NULL,
		".multilang("altLANG varchar(250) NOT NULL,")."
		".multilang("titleLANG varchar(250) NOT NULL,")."
		".multilang("actLANG ENUM('0', '1') NOT NULL DEFAULT '0',")."
		type enum('1','2','3') NOT NULL,
		file varchar(250) NOT NULL,
		html text NOT NULL,
		link text NOT NULL,
		cat_id int(11) NOT NULL,
		check_number enum('0','1') NOT NULL,
		date_start INT(10) UNSIGNED NOT NULL DEFAULT '0',
		date_finish INT(10) UNSIGNED NOT NULL DEFAULT '0',
		show_number int(10) unsigned NOT NULL,
		view int(10) unsigned NOT NULL,
		click int(10) unsigned NOT NULL,
		width int(10) unsigned NOT NULL,
		height int(10) unsigned NOT NULL,
		check_user enum('0','1') NOT NULL,
		show_user int(10) unsigned NOT NULL,
		trash enum('0','1') NOT NULL,
		PRIMARY KEY  (id)
	) CHARSET=utf8;",

	"CREATE TABLE {banners_category} (
		id int(11) unsigned NOT NULL auto_increment,
		name text NOT NULL,
		act enum('0','1') NOT NULL,
		trash enum('0','1') NOT NULL,
		PRIMARY KEY  (id)
	) CHARSET=utf8 ",

	"CREATE TABLE {banners_site_rel} (
		id int(11) unsigned NOT NULL auto_increment,
		element_id int(11) NOT NULL,
		site_id int(11) NOT NULL,
		trash ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY  (id)
	) CHARSET=utf8",

	"INSERT INTO {config} (module_name, name, value) VALUES ('banners', 'cat', 0);"
);

$adminsite = array (
	32 => array (
		'name'     => 'Баннеры',
		'rewrite'  => 'banners',
		'group_id' => '1',
		'numrow'   => '0',
		'sort'     => '6',
		'act'      => '1',
		'child'    => array (
			0 => array (
				'name'     => 'Баннеры',
				'rewrite'  => 'banners',
				'group_id' => '2',
				'numrow'   => '0',
				'sort'     => '1',
				'act'      => '1',
			),
			1 => array (
				'name'     => 'Категории',
				'rewrite'  => 'banners/category',
				'group_id' => '2',
				'numrow'   => '0',
				'sort'     => '2',
				'act'      => '1',
			),
			2 => array (
				'name'     => 'Настройка',
				'rewrite'  => 'banners/config',
				'group_id' => '2',
				'numrow'   => '0',
				'sort'     => '3',
				'act'      => '0'
			)
		)
	)
);

/**
 * Выполняет действия по установке модуля
 * 
 * @return void
 */
function module_basic_banners()
{
	if (! is_dir(ABSOLUTE_PATH.USERFILES.'/banners'))
	{
		mkdir(ABSOLUTE_PATH.USERFILES.'/banners', 0777);
	}
}