<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    5.1
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2012 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include dirname(dirname(dirname(dirname(dirname(__FILE__))))).'/includes/404.php';
}

/*
 * Формирует данные для страницы оплаты безналичным платежем
 */
class Cart_payment_non_cash_model
{
    /**
     * @var object основной объект системы
     */
    private $diafan;

    /**
     * Конструктор класса
     * 
     * @return void
     */
    public function __construct(Core &$diafan)
    {
		$this->diafan = &$diafan;
    }

	/**
     * Формирует данные для страницы оплаты безналичным платежем
     * 
     * @return void
     */
	public function get($params)
	{
		$result["type"]     = "non_cash";
		$result["text"]     = $params['text'];
		$result["order_id"] = $params["order_id"];
		return $result;
	}
}