$(document).ready(function(){
	$('#images_variations, #images_variations_cat').each(function(){
		show_delete_images_variation($(this));
		if($(this).find(".images_variation").length == $(this).find(".images_variation").first().find('select option').length + 1)
		{
			$(this).find('.images_variation_plus').hide();
		}
	});
	$('.images_variation_plus').click(function(){
		var contaner = $(this).parents('#images_variations, #images_variations_cat');
		var last = contaner.find(".images_variation").last();
		if(contaner.find(".images_variation").length >= last.find('select option').length + 1)
		{
			return false;
		}
		last.before(last.clone(true));
		last = last.prev('.images_variation');
		last.show().find("select, input").val('');
		last.find('input').attr('name', str_replace('hide_', '', last.find('input').attr('name'), 1));
		show_delete_images_variation(contaner);
		if(contaner.find(".images_variation").length == last.find('select option').length + 1)
		{
			contaner.find('.images_variation_plus').hide();
		}
	});
	$('.images_variation_delete').live('click', function(){
		var contaner = $(this).parents('#images_variations, #images_variations_cat');
		if(contaner.find('.images_variation').length == 1)
		{
			return false;
		}
		if(! confirm($(this).attr('confirm')))
		{
			return false;
		}
		$(this).parents('.images_variation').remove();
		show_delete_images_variation(contaner);
		contaner.find('.images_variation_plus').show();
	});

	$("#resize input[type=button]").live('click', function() {
		var self = $(this);
		if (self.attr("confirm") && ! confirm(self.attr("confirm")))
		{
			return false;
		}
		var data = $('#save').serializeArray();
		data.push({name: 'action', value: 'resize'});
		data.push({name: 'module', value: 'images'});
		$.ajax({
			url : window.location.href,
			type : 'POST',
			dataType : 'json',
			data : data,
			success : (function(response)
			{
				if (response.error)
				{
					alert(response.error);
				}
				if (response.hash)
				{
					$('input[name=check_hash_user]').val(response.hash);
					$('.check_hash_user').text(response.hash);
				}
			})
		});
		return false;
	});
});

function show_delete_images_variation(contaner)
{
	if(contaner.find('.images_variation').length == 1)
	{
		contaner.find('.images_variation_delete').hide();
	}
	else
	{
		contaner.find('.images_variation_delete').show();
	}
}