<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    5.1
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2012 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include dirname(dirname(dirname(__FILE__))).'/includes/404.php';
}

/**
 * Rating_install
 *
 * Установка модуля "Рейтинг"
 */

$title = "Рейтинг";

$sql = array(
	"INSERT INTO {modules} (name, module_name, site, admin, title) VALUES ('rating', 'rating', '1', '1', '".$title."')",

	"CREATE TABLE {rating} (
		id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		element_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
		module_name VARCHAR(17) NOT NULL DEFAULT '',
		rating float NOT NULL DEFAULT '0',
		count_votes INT(11) UNSIGNED NOT NULL DEFAULT '0',
		created INT(10) UNSIGNED NOT NULL DEFAULT '0',
		trash ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY (id),
		KEY element_id (element_id),
		KEY module_name (module_name(2))
	) CHARSET=utf8",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('rating', 'security', '4')"
);

$adminsite = array(
	20 => array (
		'name' => 'Рейтинг',
		'rewrite' => 'rating',
		'group_id' => '2',
		'numrow' => '2419',
		'sort' => '14',
		'act' => '1',
		'child' => array (
			0 => array (
				'name' => 'Настройки',
				'rewrite' => 'rating/config',
				'group_id' => '2',
				'numrow' => '1',
				'sort' => '33',
				'act' => '0',
			),
		),
	),
);


$example = array();

if (! empty($_POST["news"]))
{
	$sql[] = "INSERT INTO {config} (module_name, name, value) VALUES ('news', 'rating', '1')";

	$example[] = "INSERT INTO {rating} (id, element_id, module_name, rating, count_votes, created) VALUES (
		1,
		1,
		'news',
		'5',
		2,
		".time()."
	);";

	$example[] = "INSERT INTO {rating} (id, element_id, module_name, rating, count_votes, created) VALUES (
		2,
		3,
		'news',
		'5',
		1,
		".time()."
	);";

	$example[] = "INSERT INTO {rating} (id, element_id, module_name, rating, count_votes, created) VALUES (
		3,
		4,
		'news',
		'5',
		1,
		".time()."
	);";
}

if (! empty($_POST["photo"]))
{
	$sql[] = "INSERT INTO {config} (module_name, name, value) VALUES ('photo', 'rating', '1')";

	$example[] = "INSERT INTO {rating} (id, element_id, module_name, rating, count_votes, created) VALUES (
		4,
		2,
		'photo',
		'5',
		1,
		".time()."
	);";
}

if (! empty($_POST["files"]))
{
	$sql[] = "INSERT INTO {config} (module_name, name, value) VALUES ('files', 'rating', '1')";

	$example[] = "INSERT INTO {rating} (id, element_id, module_name, rating, count_votes, created) VALUES (
		5,
		4,
		'files',
		'3',
		1,
		".time()."
	);";
}

if (! empty($_POST["shop"]))
{
	$sql[] = "INSERT INTO {config} (module_name, name, value) VALUES ('shop', 'rating', '1')";
}

if (! empty($_POST["clauses"]))
{
	$sql[] = "INSERT INTO {config} (module_name, name, value) VALUES ('clauses', 'rating', '1')";
}

/**
 * Деинсталлирует модуль
 * 
 * @return void
 */
function module_basic_uninstall_rating()
{
	DB::query("DELETE FROM {config} WHERE name='rating';");
}