<?php

/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    5.1
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2012 OOO "Диафан". (http://diafan.ru)
 */
if (!defined('DIAFAN'))
{
    include dirname(dirname(dirname(__FILE__))) . '/includes/404.php';
}

/**
 * Шаблон формы авторизации
 */

if (!$result["user"])
{
	$text = $result["error"];
	$text .= '<div class="login">';
	$text .= '<form method="post" action="' . $result["action"] . '">
		<input type="hidden" name="action" value="auth">
		<span class="infofield">' . $this->diafan->_('Логин') . '</span>
		<input type="text" name="name" value="" size="18" class="inptext">
		<span class="infofield">' . $this->diafan->_('Пароль') . '</span>
		<input type="password" name="pass" value="" size="18" class="inptext">
		<span class="infofield">' . $this->diafan->_('Запомнить меня') . '</span>
		<input type="checkbox" name="remember_me" value="1" class="inpcheckbox">
		<span class="button_wrap"><input type="submit" value="Войти" class="button"></span><br>';
	if (! empty($result["reminding"]))
	{
		$text .= '<a href="' . $result["reminding"] . '">' . $this->diafan->_('Забыли пароль?') . '</a> ';
	}
	if(! empty($result["registration"]))
	{
		$text .= '<a href="' . $result["registration"] . '">' . $this->diafan->_('Регистрация') . '</a>';
	}
	$text .= '</form>';
	$text .= '</div>';
}
else
{
	$text = '<div class="login">';
	if (!empty($result["avatar"]))
	{
		$text .= '<img src="' . BASE_PATH.USERFILES.'/avatar/' . $result["name"] . '.png" width="' . $result["avatar_width"] . '" height="' . $result["avatar_height"] . '" alt="' . $result["fio"] . ' (' . $result["name"] . ')" class="login_avatar">';
	}
	$text .= $this->diafan->_('Здравствуйте') . ', ';
	if($result['user_page'])
	{
		$text .= '<a href="' . $result['user_page'] . '">' . $result["fio"] . '</a>';
	}
	else
	{
		$text .= $result["fio"];
	}
	$text.= '!
	<div>';
	if(! empty($result["registration"]))
	{
		$text .= '<a href="' . $result["registration"] . '">' . $this->diafan->_('Редактировать данные') . '</a><br>';
	}
	if (!empty($result['message_page']))
	{
		$text.= '<a href="' . $result['message_page'] . '">' . $result['message_name'] . ' (<b>' . $result['message_unread'] . '</b>)</a><br>';
	}
	$text.= '<br>
	<a href="' . BASE_PATH_HREF . 'logout/">' . $this->diafan->_('Выйти') . '</a>
	</div>';
	$text .= '</div>';
}
return $text;