<?php

/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    5.1
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2012 OOO "Диафан". (http://diafan.ru)
 */
if (!defined('DIAFAN'))
{
    include dirname(dirname(dirname(__FILE__))) . '/includes/404.php';
}

/**
 * Шаблон вывода результатов поиска по сайту
 */
$this->get('show_search', 'search', $result);

if (! empty($result["value"]))
{
	echo '<div class="search_result">' . $this->diafan->_('Всего найдено') . ": <b>" . $result["value"] . ": " . $result["count"] . "</b>
	<br>".$this->diafan->_('Документы: <strong>%d—%d</strong> из %d найденных', true, $result["count"] ? 1 : 0, $result["count_page"], $result["count"])
	. '</div>';

	if (!empty($result["rows"]))
	{
		$i = 1;
		foreach ($result["rows"] as $row)
		{
			echo '<div class="search_list">' . $i++ . '. '
			.'<a href="' . $row["link"] . '">' . $row["name"] . '</a>'
			.'<br>'
			.$row["snippet"]
			.'<br>'
			.'<a href="'.$row["link"].'">'.$row["link"].'</a>'
			.'</div>';
		}
	}
	echo (!empty($result["paginator"]) ? $result["paginator"] : '');
}
else
{
	echo '<div class="search_result">' . $this->diafan->_('Извините, слово для поиска не задано.') . '</div>';
}