<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    5.1
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2012 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include dirname(dirname(dirname(__FILE__))).'/includes/404.php';
}

/**
 * Tags_install
 *
 * Установка модуля "Теги"
 */

$title = "Теги";

$sql = array(
	"INSERT INTO {modules} (name, module_name, site, site_page, admin, title) VALUES ('tags', 'tags', '1', '1', '1', '".$title."')",

	"CREATE TABLE {tags} (
		id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		module_name VARCHAR(10) NOT NULL DEFAULT '',
		element_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
		tags_name_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
		".multilang("actLANG ENUM('0', '1') NOT NULL DEFAULT '0',")."
		trash ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY  (id),
		KEY element_id (element_id),
		KEY module_name (module_name(2)),
		KEY tags_name_id (tags_name_id)
	) CHARSET=utf8",

	"CREATE TABLE {tags_name} (
		id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		".multilang("nameLANG VARCHAR(70) NOT NULL DEFAULT '',")."
		map_no_show ENUM( '0', '1' ) NOT NULL DEFAULT '0',
		sort INT(11) UNSIGNED NOT NULL DEFAULT '0',
		trash ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY  (id)
	) CHARSET=utf8",

	"INSERT INTO {site} (id,
		".multilang("nameLANG,")."
		".multilang("titleLANG,")."
		".multilang("actLANG,")."
		sort, timeedit, module_name) VALUES (
		6,
		".multilang("'".$title."',", "'Tags',", "'',")."
		".multilang("'".$title."',", "'Tags',", "'',")."
		".multilang("'1',")."
		'6',
		'".time()."',
		'tags'
	);",

	"INSERT INTO {rewrite} (rewrite, module_name, site_id) VALUES ('tags', 'site', 6)",


);

$adminsite=array(

	21 =>
	array (
		'name' => 'Теги',
		'rewrite' => 'tags',
		'group_id' => '1',
		'numrow' => '35297',
		'sort' => '8',
		'act' => '1',
	),
);

$example = array(
	"INSERT INTO {tags_name} (id, ".multilang("nameLANG,")." sort) VALUES (1, ".multilang("'Орел',", "'Eagle',", "'',")." 1);",

	"INSERT INTO {rewrite} (rewrite, module_name, element_id, site_id) VALUES ('tags/eagle', 'tags', 1, 23)",

	"INSERT INTO {tags_name} (id, ".multilang("nameLANG,")." sort) VALUES (2, ".multilang("'Птица',", "'Bird',", "'',")." 2)",

	"INSERT INTO {rewrite} (rewrite, module_name, element_id, site_id) VALUES ('tags/bird', 'tags', 2, 23)",

	"INSERT INTO {tags_name} (id, ".multilang("nameLANG,")." sort) VALUES (3, ".multilang("'Желтый',", "'Yellow',", "'',")." 3)",

	"INSERT INTO {rewrite} (rewrite, module_name, element_id, site_id) VALUES ('tags/yellow', 'tags', 3, 23)",

	"INSERT INTO {tags_name} (id, ".multilang("nameLANG,")." sort) VALUES (4, ".multilang("'Мышь',", "'Mouse',", "'',")." 4)",

	"INSERT INTO {rewrite} (rewrite, module_name, element_id, site_id) VALUES ('tags/mouse', 'tags', 4, 23)",

	"INSERT INTO {tags_name} (id, ".multilang("nameLANG,")." sort) VALUES (5, ".multilang("'Пингвин',", "'Penguin',", "'',")." 5)",

	"INSERT INTO {rewrite} (rewrite, module_name, element_id, site_id) VALUES ('tags/penguin', 'tags', 5, 23)",

	"INSERT INTO {tags_name} (id, ".multilang("nameLANG,")." sort) VALUES (6, ".multilang("'Весна',", "'Spring',", "'',")." 6)",

	"INSERT INTO {rewrite} (rewrite, module_name, element_id, site_id) VALUES ('tags/spring', 'tags', 6, 23)",

	"INSERT INTO {tags_name} (id, ".multilang("nameLANG,")." sort) VALUES (7, ".multilang("'Бобер',", "'Beaver',", "'',")." 7)",

	"INSERT INTO {rewrite} (rewrite, module_name, element_id, site_id) VALUES ('tags/beaver', 'tags', 7, 23)",

	"INSERT INTO {tags_name} (id, ".multilang("nameLANG,")." sort) VALUES (8, ".multilang("'Фиолетовый',", "'Purple',", "'',")." 8)",

	"INSERT INTO {rewrite} (rewrite, module_name, element_id, site_id) VALUES ('tags/purple', 'tags', 8, 23)",

	"INSERT INTO {tags_name} (id, ".multilang("nameLANG,")." sort) VALUES (9, ".multilang("'Слон',", "'Elephant',", "'',")." 9)",

	"INSERT INTO {rewrite} (rewrite, module_name, element_id, site_id) VALUES ('tags/elephant', 'tags', 9, 23)",

	"INSERT INTO {tags_name} (id, ".multilang("nameLANG,")." sort) VALUES (10, ".multilang("'Бабочка',", "'Butterfly',", "'',")." 10)",

	"INSERT INTO {rewrite} (rewrite, module_name, element_id, site_id) VALUES ('tags/butterfly', 'tags', 10, 23)",

	"INSERT INTO {tags_name} (id, ".multilang("nameLANG,")." sort) VALUES (11, ".multilang("'Летит',", "'Fly',", "'',")." 11)",

	"INSERT INTO {rewrite} (rewrite, module_name, element_id, site_id) VALUES ('tags/fly', 'tags', 11, 23)",

	"INSERT INTO {tags_name} (id, ".multilang("nameLANG,")." sort) VALUES (12, ".multilang("'Большой',", "'Big',", "'',")." 12)",

	"INSERT INTO {rewrite} (rewrite, module_name, element_id, site_id) VALUES ('tags/big', 'tags', 12, 23)",

	"INSERT INTO {tags_name} (id, ".multilang("nameLANG,")." sort) VALUES (13, ".multilang("'Ползает',", "'Crawl',", "'',")." 13)",

	"INSERT INTO {rewrite} (rewrite, module_name, element_id, site_id) VALUES ('tags/crawl', 'tags', 13, 23)"
);



if (! empty($_POST["news"]))
{
	$sql[] = "INSERT INTO {config} (module_name, name, value) VALUES ('news', 'tags', '1')";

	$example[] = "INSERT INTO {tags} (id, module_name, element_id, tags_name_id".multilang(", actLANG").") VALUES (
		'6',
		'news',
		'11',
		1
		".multilang(",'1'")."
	)";

	$example[] = "INSERT INTO {tags} (id, module_name, element_id, tags_name_id".multilang(", actLANG").") VALUES (
		'7',
		'news',
		'11',
		2
		".multilang(",'1'")."
	)";

	$example[] = "INSERT INTO {tags} (id, module_name, element_id, tags_name_id".multilang(", actLANG").") VALUES (
		'8',
		'news',
		'11',
		3
		".multilang(",'1'")."
	)";

	$example[] = "INSERT INTO {tags} (id, module_name, element_id, tags_name_id".multilang(", actLANG").") VALUES (
		'9',
		'news',
		'10',
		4
		".multilang(",'1'")."
	)";

	$example[] = "INSERT INTO {tags} (id, module_name, element_id, tags_name_id".multilang(", actLANG").") VALUES (
		'10',
		'news',
		'10',
		3
		".multilang(",'1'")."
	)";

	$example[] = "INSERT INTO {tags} (id, module_name, element_id, tags_name_id".multilang(", actLANG").") VALUES (
		'11',
		'news',
		'8',
		3
		".multilang(",'1'")."
	)";

	$example[] = "INSERT INTO {tags} (id, module_name, element_id, tags_name_id".multilang(", actLANG").") VALUES (
		'12',
		'news',
		'8',
		6
		".multilang(",'1'")."
	)";
}

if (! empty($_POST["clauses"]))
{
	$sql[] = "INSERT INTO {config} (module_name, name, value) VALUES ('clauses', 'tags', '1')";

	$example[] = "INSERT INTO {tags} (id, module_name, element_id, tags_name_id".multilang(", actLANG").") VALUES (
		'3',
		'clauses',
		'2',
		7
		".multilang(",'1'")."
	)";

	$example[] = "INSERT INTO {tags} (id, module_name, element_id, tags_name_id".multilang(", actLANG").") VALUES (
		'4',
		'clauses',
		'2',
		5
		".multilang(",'1'")."
	)";

	$example[] = "INSERT INTO {tags} (id, module_name, element_id, tags_name_id".multilang(", actLANG").") VALUES (
		'13',
		'clauses',
		'2',
		8
		".multilang(",'1'")."
	)";

	$example[] = "INSERT INTO {tags} (id, module_name, element_id, tags_name_id".multilang(", actLANG").") VALUES (
		'14',
		'clauses',
		'1',
		3
		".multilang(",'1'")."
	)";

	$example[] = "INSERT INTO {tags} (id, module_name, element_id, tags_name_id".multilang(", actLANG").") VALUES (
		'15',
		'clauses',
		'1',
		10
		".multilang(",'1'")."
	)";
}

if (! empty($_POST["shop"]))
{
	$sql[] = "INSERT INTO {config} (module_name, name, value) VALUES ('shop', 'tags', '1')";

	$example[] = "INSERT INTO {tags} (id, module_name, element_id, tags_name_id".multilang(", actLANG").") VALUES (
		'16',
		'shop',
		'1',
		2
		".multilang(",'1'")."
	)";

	$example[] = "INSERT INTO {tags} (id, module_name, element_id, tags_name_id".multilang(", actLANG").") VALUES (
		'17',
		'shop',
		'1',
		3
		".multilang(",'1'")."
	)";

	$example[] = "INSERT INTO {tags} (id, module_name, element_id, tags_name_id".multilang(", actLANG").") VALUES (
		'18',
		'shop',
		'1',
		11
		".multilang(",'1'")."
	)";

	$example[] = "INSERT INTO {tags} (id, module_name, element_id, tags_name_id".multilang(", actLANG").") VALUES (
		'19',
		'shop',
		'32',
		3
		".multilang(",'1'")."
	)";

	$example[] = "INSERT INTO {tags} (id, module_name, element_id, tags_name_id".multilang(", actLANG").") VALUES (
		'20',
		'shop',
		'32',
		13
		".multilang(",'1'")."
	)";
}

if (! empty($_POST["photo"]))
{
	$sql[] = "INSERT INTO {config} (module_name, name, value) VALUES ('photo', 'tags', '1')";

	$example[] = "INSERT INTO {tags} (id, module_name, element_id, tags_name_id".multilang(", actLANG").") VALUES (
		'21',
		'photo',
		'4',
		9
		".multilang(",'1'")."
	)";

	$example[] = "INSERT INTO {tags} (id, module_name, element_id, tags_name_id".multilang(", actLANG").") VALUES (
		'22',
		'photo',
		'4',
		3
		".multilang(",'1'")."
	)";

	$example[] = "INSERT INTO {tags} (id, module_name, element_id, tags_name_id".multilang(", actLANG").") VALUES (
		'23',
		'photo',
		'4',
		12
		".multilang(",'1'")."
	)";

	$example[] = "INSERT INTO {tags} (id, module_name, element_id, tags_name_id".multilang(", actLANG").") VALUES (
		'24',
		'photo',
		'5',
		3
		".multilang(",'1'")."
	)";

	$example[] = "INSERT INTO {tags} (id, module_name, element_id, tags_name_id".multilang(", actLANG").") VALUES (
		'25',
		'photo',
		'5',
		13
		".multilang(",'1'")."
	)";
}

if (! empty($_POST["faq"]))
{
	$sql[] = "INSERT INTO {config} (module_name, name, value) VALUES ('faq', 'tags', '1')";

	$example[] = "INSERT INTO {tags} (id, module_name, element_id, tags_name_id".multilang(", actLANG").") VALUES (
		'26',
		'faq',
		'11',
		3
		".multilang(",'1'")."
	)";
}

if (! empty($_POST["files"]))
{
	$sql[] = "INSERT INTO {config} (module_name, name, value) VALUES ('files', 'tags', '1')";

	$example[] = "INSERT INTO {tags} (id, module_name, element_id, tags_name_id".multilang(", actLANG").") VALUES (
		'27',
		'files',
		'3',
		3
		".multilang(",'1'")."
	)";
}

/**
 * Деинсталлирует модуль
 * 
 * @return void
 */
function module_basic_uninstall_tags()
{
	DB::query("DELETE FROM {config} WHERE name='tags';");
}